#ifdef __MVS__
                   ??=ifdef __COMPILER_VER__
                     ??=pragma filetag("IBM-1047")
                   ??=endif
                   #pragma nomargins nosequence
                   #pragma checkout(suspend)
#endif

#ifndef _I0STRING_
#define _I0STRING_
/*******************************************************************************
* FILE NAME: i0string.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the declarations of the classes:                        *
*     I0String                                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#include <istring.hpp>

#pragma pack(4)


#if defined (__SOM_ENABLED__)
#if defined (__RRBC_LIB__)
#pragma SOMAsDefault (on)
#else
#pragma SOMAsDefault (off)
#endif
#endif

class IStringTest;

class I0String : public IString {
public:
/*------------------------------- Constructors -------------------------------*/
  I0String          ( );
  I0String          ( const IString &aString );

  I0String          ( int  anInt );
  I0String          ( unsigned  anUnsigned );
  I0String          ( long  aLong );
  I0String          ( unsigned long  anUnsignedLong );
#ifdef _LONG_LONG
  I0String          ( long long  aLongLong );
  I0String          ( unsigned long long  anUnsignedLongLong );
#endif
  I0String          ( short  aShort );
  I0String          ( unsigned short  anUnsignedShort );

  I0String          ( double  aDouble );

  I0String          ( char aChar );
  I0String          ( unsigned char anUnsignedChar );
  I0String          ( signed char   aSignedChar );

  I0String          ( const char *pChar );
  I0String          ( const unsigned char *pUnsignedChar );
  I0String          ( const signed char *pSignedChar );

  I0String          ( const void *pBuffer1,
                      unsigned    lenBuffer1,
                      char        padCharacter = ' ' );
  I0String          ( const void *pBuffer1,
                      unsigned    lenBuffer1,
                      const void *pBuffer2,
                      unsigned    lenBuffer2,
                      char        padCharacter = ' ' );
  I0String          ( const void *pBuffer1,
                      unsigned    lenBuffer1,
                      const void *pBuffer2,
                      unsigned    lenBuffer2,
                      const void *pBuffer3,
                      unsigned    lenBuffer3,
                      char        padCharacter = ' ' );
virtual
  ~I0String         ( );

/*------------------------- Queries ------------------------------------------*/
I0String
  subString         ( unsigned startPos ) const,
  subString         ( unsigned startPos,
                      unsigned len,
                      char     padCharacter = ' ' ) const;

char
 &operator []       ( unsigned index );

const char
 &operator []       ( unsigned index ) const;

char
 &operator []       ( signed index );

const char
 &operator []       ( signed index ) const;

char
 &operator []       ( unsigned long index );

const char
 &operator []       ( unsigned long index ) const;

char
 &operator []       ( signed long index );

const char
 &operator []       ( signed long index ) const;

IStringEnum::CharType
  charType          ( unsigned index ) const;

/*------------------------- Searches -----------------------------------------*/
static const unsigned
  IC_IMPORTB notFound;

unsigned
  indexOf           ( const IString     &aString,
                      unsigned           startPos = 0 ) const,
  indexOf           ( const char        *pString,
                      unsigned           startPos = 0 ) const,
  indexOf           ( char               aCharacter,
                      unsigned           startPos = 0 ) const,
  indexOf           ( const IStringTest &aTest,
                      unsigned           startPos = 0 ) const,

  indexOfAnyBut     ( const IString     &aString,
                      unsigned           startPos = 0 ) const,
  indexOfAnyBut     ( const char        *pValidChars,
                      unsigned           startPos = 0 ) const,
  indexOfAnyBut     ( char               validChar,
                      unsigned           startPos = 0 ) const,
  indexOfAnyBut     ( const IStringTest &aTest,
                      unsigned           startPos = 0 ) const,

  indexOfAnyOf      ( const IString     &searchChars,
                      unsigned           startPos = 0 ) const,
  indexOfAnyOf      ( const char        *pSearchChars,
                      unsigned           startPos = 0 ) const,
  indexOfAnyOf      ( char               searchChar,
                      unsigned           startPos = 0 ) const,
  indexOfAnyOf      ( const IStringTest &aTest,
                      unsigned           startPos = 0 ) const,

  lastIndexOf       ( const IString     &aString,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1) ) const,
  lastIndexOf       ( const char        *pString,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1) ) const,
  lastIndexOf       ( char               aCharacter,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1) ) const,
  lastIndexOf       ( const IStringTest &aTest,
                      unsigned           startPos =
                                          (unsigned)(UINT_MAX-1) ) const,

  lastIndexOfAnyBut ( const IString     &validChars,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1)) const,
  lastIndexOfAnyBut ( const char        *pValidChars,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1)) const,
  lastIndexOfAnyBut ( char               validChar,
                      unsigned           startPos =
                                          (unsigned)(UINT_MAX-1)) const,
  lastIndexOfAnyBut ( const IStringTest &aTest,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1)) const,

  lastIndexOfAnyOf  ( const IString     &searchChars,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1)) const,
  lastIndexOfAnyOf  ( const char        *pSearchChars,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1)) const,
  lastIndexOfAnyOf  ( char               searchChar,
                      unsigned           startPos =
                                          (unsigned)(UINT_MAX-1)) const,
  lastIndexOfAnyOf  ( const IStringTest &aTest,
                      unsigned           endPos =
                                          (unsigned)(UINT_MAX-1)) const,

  occurrencesOf     ( const IString     &aString,
                      unsigned           startPos = 0 ) const,
  occurrencesOf     ( const char        *pString,
                      unsigned           startPos = 0 ) const,
  occurrencesOf     ( char               aCharacter,
                      unsigned           startPos = 0 ) const,
  occurrencesOf     ( const IStringTest &aTest,
                      unsigned           startPos = 0 ) const;

/*------------------------- Editing ------------------------------------------*/
I0String
 &change            ( const IString &aPattern,
                      const IString &aReplacement,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),
 &change            ( const IString &aPattern,
                      const char    *pReplacement,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),
 &change            ( const char    *pPattern,
                      const IString &aReplacement,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),
 &change            ( const char    *pPattern,
                      const char    *pReplacement,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),

 &insert            ( const IString &aString,
                      unsigned       index = (unsigned)UINT_MAX,
                      char           padCharacter = ' ' ),
 &insert            ( const char    *pString,
                      unsigned       index = (unsigned)UINT_MAX,
                      char           padCharacter = ' ' ),

 &overlayWith       ( const IString &aString,
                      unsigned       index        = 0,
                      char           padCharacter = ' ' ),
 &overlayWith       ( const char    *pString,
                      unsigned       index        = 0,
                      char           padCharacter = ' ' ),

 &remove            ( unsigned startPos ),
 &remove            ( unsigned startPos,
                      unsigned numChars );

static I0String
  change            ( const IString &aString,
                      const IString &inputString,
                      const IString &outputString,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),
  change            ( const IString &aString,
                      const IString &inputString,
                      const char    *pOutputString,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),
  change            ( const IString &aString,
                      const char    *pInputString,
                      const IString &outputString,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),
  change            ( const IString &aString,
                      const char    *pInputString,
                      const char    *pOutputString,
                      unsigned       startPos = 0,
                      unsigned       numChanges = (unsigned)UINT_MAX ),

  insert            ( const IString &aString,
                      const IString &anInsert,
                      unsigned       index = (unsigned)UINT_MAX,
                      char           padCharacter = ' ' ),
  insert            ( const IString &aString,
                      const char    *pInsert,
                      unsigned       index = (unsigned)UINT_MAX,
                      char           padCharacter = ' ' ),

  overlayWith       ( const IString &aString,
                      const IString &anOverlay,
                      unsigned       index        = 0,
                      char           padCharacter = ' ' ),
  overlayWith       ( const IString &aString,
                      const char    *pOverlay,
                      unsigned       index        = 0,
                      char           padCharacter = ' ' ),

  remove            ( const IString &aString,
                      unsigned       startPos ),
  remove            ( const IString &aString,
                      unsigned       startPos,
                      unsigned       numChars );

/*------------------------- Word Operations ----------------------------------*/
unsigned
  indexOfPhrase     ( const IString &wordString,
                      unsigned       startWord = 1 ) const,
  indexOfWord       ( unsigned wordNumber ) const;

protected:
/*------------------------- Index Mapping ------------------------------------*/
static unsigned
  adjustArg         ( unsigned index ),
  adjustResult      ( unsigned index );
static signed
  adjustArg         ( signed index ),
  adjustResult      ( signed index );

private:


#if defined (__SOM_ENABLED__ ) && defined (__RRBC_LIB__)

#pragma SOMClassVersion  (*, 3, 0)

#ifdef _LONG_LONG
#pragma SOMReleaseOrder( \
/*   1 */       I0String(const IString&),\
/*   2 */       I0String(int),\
/*   3 */       I0String(unsigned int),\
/*   4 */       I0String(long),\
/*   5 */       I0String(unsigned long),\
/*   6 */       I0String(short),\
/*   7 */       I0String(unsigned short),\
/*   8 */       I0String(double),\
/*   9 */       I0String(char),\
/*  10 */       I0String(unsigned char),\
/*  11 */       I0String(signed char),\
/*  12 */       I0String(const char*),\
/*  13 */       I0String(const unsigned char*),\
/*  14 */       I0String(const signed char*),\
/*  15 */       I0String(const void*,unsigned int,char),\
/*  16 */       I0String(const void*,unsigned int, \
                         const void*,unsigned int,char),\
/*  17 */       I0String(const void*,unsigned int,const void*, \
                         unsigned int,const void*,unsigned int,char),\
/*  18 */       subString(unsigned int) const,\
/*  19 */       subString(unsigned int,unsigned int,char) const,\
/*  20 */       operator[](unsigned int),\
/*  21 */       operator[](unsigned int) const,\
/*  22 */       charType(unsigned int) const,\
/*  23 */       notFound,\
/*  24 */       indexOf(const IString&,unsigned int) const,\
/*  25 */       indexOf(const char*,unsigned int) const,\
/*  26 */       indexOf(char,unsigned int) const,\
/*  27 */       indexOf(const IStringTest&,unsigned int) const,\
/*  28 */       indexOfAnyBut(const IString&,unsigned int) const,\
/*  29 */       indexOfAnyBut(const char*,unsigned int) const,\
/*  30 */       indexOfAnyBut(char,unsigned int) const,\
/*  31 */       indexOfAnyBut(const IStringTest&,unsigned int) const,\
/*  32 */       indexOfAnyOf(const IString&,unsigned int) const,\
/*  33 */       indexOfAnyOf(const char*,unsigned int) const,\
/*  34 */       indexOfAnyOf(char,unsigned int) const,\
/*  35 */       indexOfAnyOf(const IStringTest&,unsigned int) const,\
/*  36 */       lastIndexOf(const IString&,unsigned int) const,\
/*  37 */       lastIndexOf(const char*,unsigned int) const,\
/*  38 */       lastIndexOf(char,unsigned int) const,\
/*  39 */       lastIndexOf(const IStringTest&,unsigned int) const,\
/*  40 */       lastIndexOfAnyBut(const IString&,unsigned int) const,\
/*  41 */       lastIndexOfAnyBut(const char*,unsigned int) const,\
/*  42 */       lastIndexOfAnyBut(char,unsigned int) const,\
/*  43 */       lastIndexOfAnyBut(const IStringTest&,unsigned int) const,\
/*  44 */       lastIndexOfAnyOf(const IString&,unsigned int) const,\
/*  45 */       lastIndexOfAnyOf(const char*,unsigned int) const,\
/*  46 */       lastIndexOfAnyOf(char,unsigned int) const,\
/*  47 */       lastIndexOfAnyOf(const IStringTest&,unsigned int) const,\
/*  48 */       occurrencesOf(const IString&,unsigned int) const,\
/*  49 */       occurrencesOf(const char*,unsigned int) const,\
/*  50 */       occurrencesOf(char,unsigned int) const,\
/*  51 */       occurrencesOf(const IStringTest&,unsigned int) const,\
/*  52 */       change(const IString&,const IString&, \
                       unsigned int,unsigned int),\
/*  53 */       change(const IString&,const char*,unsigned int,unsigned int),\
/*  54 */       change(const char*,const IString&,unsigned int,unsigned int),\
/*  55 */       change(const char*,const char*,unsigned int,unsigned int),\
/*  56 */       insert(const IString&,unsigned int,char),\
/*  57 */       insert(const char*,unsigned int,char),\
/*  58 */       overlayWith(const IString&,unsigned int,char),\
/*  59 */       overlayWith(const char*,unsigned int,char),\
/*  60 */       remove(unsigned int),\
/*  61 */       remove(unsigned int,unsigned int),\
/*  62 */       change(const IString&,const IString&, \
                       const IString&, unsigned int,unsigned int),\
/*  63 */       change(const IString&,const IString&, \
                       const char*, unsigned int,unsigned int),\
/*  64 */       change(const IString&,const char*,  \
                       const IString&, unsigned int,unsigned int),\
/*  65 */       change(const IString&,const char*,   \
                       const char*,unsigned int,unsigned int),\
/*  66 */       insert(const IString&,const IString&,unsigned int,char),\
/*  67 */       insert(const IString&,const char*,unsigned int,char),\
/*  68 */       overlayWith(const IString&,const IString&,unsigned int,char),\
/*  69 */       overlayWith(const IString&,const char*,unsigned int,char),\
/*  70 */       remove(const IString&,unsigned int),\
/*  71 */       remove(const IString&,unsigned int,unsigned int),\
/*  72 */       indexOfPhrase(const IString&,unsigned int) const,\
/*  73 */       indexOfWord(unsigned int) const,\
/*  74 */       adjustArg(unsigned int),\
/*  75 */       adjustResult(unsigned int),\
/*  76 */       operator[](signed int),\
/*  77 */       operator[](signed int) const,\
/*  78 */       adjustArg(signed int),\
/*  79 */       adjustResult(signed int),\
/*  80 */       operator[](unsigned long),\
/*  81 */       operator[](unsigned long) const,\
/*  82 */       operator[](signed long),\
/*  83 */       operator[](signed long) const,\
/*  84 */       I0String(long long),\
/*  85 */       I0String(unsigned long long))
#else
#pragma SOMReleaseOrder( \
/*   1 */       I0String(const IString&),\
/*   2 */       I0String(int),\
/*   3 */       I0String(unsigned int),\
/*   4 */       I0String(long),\
/*   5 */       I0String(unsigned long),\
/*   6 */       I0String(short),\
/*   7 */       I0String(unsigned short),\
/*   8 */       I0String(double),\
/*   9 */       I0String(char),\
/*  10 */       I0String(unsigned char),\
/*  11 */       I0String(signed char),\
/*  12 */       I0String(const char*),\
/*  13 */       I0String(const unsigned char*),\
/*  14 */       I0String(const signed char*),\
/*  15 */       I0String(const void*,unsigned int,char),\
/*  16 */       I0String(const void*,unsigned int, \
                         const void*,unsigned int,char),\
/*  17 */       I0String(const void*,unsigned int,const void*, \
                         unsigned int,const void*,unsigned int,char),\
/*  18 */       subString(unsigned int) const,\
/*  19 */       subString(unsigned int,unsigned int,char) const,\
/*  20 */       operator[](unsigned int),\
/*  21 */       operator[](unsigned int) const,\
/*  22 */       charType(unsigned int) const,\
/*  23 */       notFound,\
/*  24 */       indexOf(const IString&,unsigned int) const,\
/*  25 */       indexOf(const char*,unsigned int) const,\
/*  26 */       indexOf(char,unsigned int) const,\
/*  27 */       indexOf(const IStringTest&,unsigned int) const,\
/*  28 */       indexOfAnyBut(const IString&,unsigned int) const,\
/*  29 */       indexOfAnyBut(const char*,unsigned int) const,\
/*  30 */       indexOfAnyBut(char,unsigned int) const,\
/*  31 */       indexOfAnyBut(const IStringTest&,unsigned int) const,\
/*  32 */       indexOfAnyOf(const IString&,unsigned int) const,\
/*  33 */       indexOfAnyOf(const char*,unsigned int) const,\
/*  34 */       indexOfAnyOf(char,unsigned int) const,\
/*  35 */       indexOfAnyOf(const IStringTest&,unsigned int) const,\
/*  36 */       lastIndexOf(const IString&,unsigned int) const,\
/*  37 */       lastIndexOf(const char*,unsigned int) const,\
/*  38 */       lastIndexOf(char,unsigned int) const,\
/*  39 */       lastIndexOf(const IStringTest&,unsigned int) const,\
/*  40 */       lastIndexOfAnyBut(const IString&,unsigned int) const,\
/*  41 */       lastIndexOfAnyBut(const char*,unsigned int) const,\
/*  42 */       lastIndexOfAnyBut(char,unsigned int) const,\
/*  43 */       lastIndexOfAnyBut(const IStringTest&,unsigned int) const,\
/*  44 */       lastIndexOfAnyOf(const IString&,unsigned int) const,\
/*  45 */       lastIndexOfAnyOf(const char*,unsigned int) const,\
/*  46 */       lastIndexOfAnyOf(char,unsigned int) const,\
/*  47 */       lastIndexOfAnyOf(const IStringTest&,unsigned int) const,\
/*  48 */       occurrencesOf(const IString&,unsigned int) const,\
/*  49 */       occurrencesOf(const char*,unsigned int) const,\
/*  50 */       occurrencesOf(char,unsigned int) const,\
/*  51 */       occurrencesOf(const IStringTest&,unsigned int) const,\
/*  52 */       change(const IString&,const IString&, \
                       unsigned int,unsigned int),\
/*  53 */       change(const IString&,const char*,unsigned int,unsigned int),\
/*  54 */       change(const char*,const IString&,unsigned int,unsigned int),\
/*  55 */       change(const char*,const char*,unsigned int,unsigned int),\
/*  56 */       insert(const IString&,unsigned int,char),\
/*  57 */       insert(const char*,unsigned int,char),\
/*  58 */       overlayWith(const IString&,unsigned int,char),\
/*  59 */       overlayWith(const char*,unsigned int,char),\
/*  60 */       remove(unsigned int),\
/*  61 */       remove(unsigned int,unsigned int),\
/*  62 */       change(const IString&,const IString&, \
                       const IString&, unsigned int,unsigned int),\
/*  63 */       change(const IString&,const IString&, \
                       const char*, unsigned int,unsigned int),\
/*  64 */       change(const IString&,const char*,  \
                       const IString&, unsigned int,unsigned int),\
/*  65 */       change(const IString&,const char*,   \
                       const char*,unsigned int,unsigned int),\
/*  66 */       insert(const IString&,const IString&,unsigned int,char),\
/*  67 */       insert(const IString&,const char*,unsigned int,char),\
/*  68 */       overlayWith(const IString&,const IString&,unsigned int,char),\
/*  69 */       overlayWith(const IString&,const char*,unsigned int,char),\
/*  70 */       remove(const IString&,unsigned int),\
/*  71 */       remove(const IString&,unsigned int,unsigned int),\
/*  72 */       indexOfPhrase(const IString&,unsigned int) const,\
/*  73 */       indexOfWord(unsigned int) const,\
/*  74 */       adjustArg(unsigned int),\
/*  75 */       adjustResult(unsigned int),\
/*  76 */       operator[](signed int),\
/*  77 */       operator[](signed int) const,\
/*  78 */       adjustArg(signed int),\
/*  79 */       adjustResult(signed int),\
/*  80 */       operator[](unsigned long),\
/*  81 */       operator[](unsigned long) const,\
/*  82 */       operator[](signed long),\
/*  83 */       operator[](signed long) const)
#endif


#endif    // SOM_ENABLED & RRBC_LIB


}; // class I0String


#if defined (__SOM_ENABLED__)
#pragma SOMAsDefault (pop)
#endif

#pragma pack()

#ifndef I_NO_INLINES
  #include <i0string.inl>
#endif

#endif /* _I0STRING_ */

#ifdef __MVS__
                   #pragma checkout(resume)
#endif

