/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#pragma pack (4)

// ----------------------------
// IKeySetOnKeyBagMngCursorImpl
// ----------------------------

// public members

template <class Base>
IKeySetOnKeyBagMngCursorImpl <Base>::
IKeySetOnKeyBagMngCursorImpl
  (IKeySetOnKeyBagImpl <Base> const& collection)
: Inherited (IKeySetOnKeyBagImpl <Base>::BaseOf (collection))
{ ivCollection = &collection;
}

template <class Base>
IKeySetOnKeyBagMngCursorImpl <Base>::
~IKeySetOnKeyBagMngCursorImpl ()
{
}

// -------------------
// IKeySetOnKeyBagImpl
// -------------------

// public members

template <class Base>
IKeySetOnKeyBagImpl <Base>::
IKeySetOnKeyBagImpl (Ops& ops, INumber)
: IAKeySetImpl ((Inherited::Ops&)ops), ivBase (ops)
{ BaseOf (*this).IACollectionImpl::Initialize ();
}

template <class Base>
IKeySetOnKeyBagImpl <Base>::
IKeySetOnKeyBagImpl (Ops& ops, IKeySetOnKeyBagImpl <Base> const&)
: IAKeySetImpl ((Inherited::Ops&)ops), ivBase (ops)
{ BaseOf (*this).IACollectionImpl::Initialize ();
}

template <class Base>
IKeySetOnKeyBagImpl <Base>::
~IKeySetOnKeyBagImpl ()
{
}

template <class Base>
IACollectionImpl*
IKeySetOnKeyBagImpl <Base>::
Clone () const
{ return (IACollectionImpl*) CheckPointer (OpsOf (*this).Clone ());
}

template <class Base>
IBoolean
IKeySetOnKeyBagImpl <Base>::
ContainsAllKeysFrom (IACollectionImpl const& collection) const
{ if (ClassName () == collection.ClassName ()) {
    Self const& ks = (Self const&)collection;
    return BaseOf (*this).Base::ContainsAllKeysFrom (BaseOf (ks));
  }
  else
    return Inherited::ContainsAllKeysFrom (collection);
}

template <class Base>
void
IKeySetOnKeyBagImpl <Base>::
Copy (IACollectionImpl const& collection)
{ if (ClassName () == collection.ClassName ())
    operator= ((Self const&)collection);
  else
    Inherited::Copy (collection);
}

template <class Base>
ICursorImpl*
IKeySetOnKeyBagImpl <Base>::
CreateCursor () const
{ return (Cursor*) CheckPointer (new Cursor (*this));
}

template <class Base>
ICursorImpl*
IKeySetOnKeyBagImpl <Base>::
CreateMngCursor () const
{ return (MngCursor*) CheckPointer (new MngCursor (*this));
}

#pragma info (restore)
#pragma pack ()
