/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

// ---------------------------
// IKeySortedSetOnSequenceImpl
// ---------------------------

// public members

#if defined (__LIB_BUILD__)

#if ! defined (__2nd_LEVEL__)
#define inline
#endif

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
AllElementsDo (IApplFunc applFunc, void* addArg)
{ return BaseOf (*this).Base::AllElementsDo (applFunc, addArg);
}

template <class Base>
inline void*
IKeySortedSetOnSequenceImpl <Base>::
Any () const
{ return BaseOf (*this).Base::Any ();
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
CheckCursor (ICursorImpl const& cursor) const
{ return BaseOf (*this).Base::CheckCursor (cursor);
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
CheckReplacement (ICursorImpl const& cursor, void const* element) const
{ return (CompareKeys (Self::ElementAt (cursor),
                       element, kElementElement) == 0);
}

template <class Base>
inline char const*
IKeySortedSetOnSequenceImpl <Base>::
ClassName () const
{ return cvClassName;
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
ContainsElementWithKey (void const* key) const
{ return LocateKey (key, CursorOf (*this));
}

template <class Base>
inline void*
IKeySortedSetOnSequenceImpl <Base>::
ElementAt (ICursorImpl const& cursor) const
{ return BaseOf (*this).Base::ElementAt (cursor);
}

template <class Base>
inline void*
IKeySortedSetOnSequenceImpl <Base>::
ElementAtPosition (IPosition position) const
{ return BaseOf (*this).Base::ElementAtPosition (position);
}

template <class Base>
inline void*
IKeySortedSetOnSequenceImpl <Base>::
First () const
{ return BaseOf (*this).Base::First ();
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
IsBounded () const
{ return BaseOf (*this).Base::IsBounded ();
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
IsConsistent () const
{ return BaseOf (*this).Base::IsConsistent ();
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
IsEmpty () const
{ return BaseOf (*this).Base::IsEmpty ();
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
IsFirstAt (ICursorImpl const& cursor) const
{ return BaseOf (*this).Base::IsFirstAt (cursor);
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
IsFull () const
{ return BaseOf (*this).Base::IsFull ();
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
IsLastAt (ICursorImpl const& cursor) const
{ return BaseOf (*this).Base::IsLastAt (cursor);
}

template <class Base>
inline void*
IKeySortedSetOnSequenceImpl <Base>::
Key (void const* element) const
{ return OpsOf (*this).Key (element);
}

template <class Base>
inline void*
IKeySortedSetOnSequenceImpl <Base>::
Last () const
{ return BaseOf (*this).Base::Last ();
}

template <class Base>
inline INumber
IKeySortedSetOnSequenceImpl <Base>::
NumberOfElements () const
{ return BaseOf (*this).Base::NumberOfElements ();
}

template <class Base>
inline IPosition
IKeySortedSetOnSequenceImpl <Base>::
PositionAt (ICursorImpl const& cursor) const
{ return BaseOf (*this).Base::PositionAt (cursor);
}

template <class Base>
inline INumber
IKeySortedSetOnSequenceImpl <Base>::
RemoveAll ()
{ return BaseOf (*this).Base::RemoveAll ();
}

template <class Base>
inline INumber
IKeySortedSetOnSequenceImpl <Base>::
RemoveAll (IPredFunc predFunc, void* addArg)
{ return BaseOf (*this).Base::RemoveAll (predFunc, addArg);
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
RemoveAt (ICursorImpl& cursor)
{ BaseOf (*this).Base::RemoveAt (cursor);
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
RemoveAtPosition (IPosition position)
{ BaseOf (*this).Base::RemoveAtPosition (position);
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
RemoveFirst ()
{ BaseOf (*this).Base::RemoveFirst ();
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
RemoveLast ()
{ BaseOf (*this).Base::RemoveLast ();
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
ReplaceAt (ICursorImpl const& cursor, void const* element)
{ BaseOf (*this).Base::ReplaceAt (cursor, element);
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
ReplaceAtPosition (IPosition position, void const* element)
{ BaseOf (*this).Base::ReplaceAtPosition (position, element);
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
SetToFirst (ICursorImpl& cursor) const
{ return BaseOf (*this).Base::SetToFirst (cursor);
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
SetToLast (ICursorImpl& cursor) const
{ return BaseOf (*this).Base::SetToLast (cursor);
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
SetToNext (ICursorImpl& cursor) const
{ return BaseOf (*this).Base::SetToNext (cursor);
}

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
SetToPosition (IPosition position, ICursorImpl& cursor) const
{ BaseOf (*this).Base::SetToPosition (position, cursor);
}

template <class Base>
inline IBoolean
IKeySortedSetOnSequenceImpl <Base>::
SetToPrevious (ICursorImpl& cursor) const
{ return BaseOf (*this).Base::SetToPrevious (cursor);
}

template <class Base>
inline TStream&
IKeySortedSetOnSequenceImpl <Base>::
operator<<= (TStream& fromWhere)
{ return (BaseOf (*this) <<= OpsOf (*this) <<= fromWhere);
}

template <class Base>
inline TStream&
IKeySortedSetOnSequenceImpl <Base>::
operator>>= (TStream& toWhere) const
{ return (BaseOf (*this) >>= OpsOf (*this) >>= toWhere);
}

#if ! defined (__2nd_LEVEL__)
#undef inline
#endif

#endif
template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
operator= (IKeySortedSetOnSequenceImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}
#if defined (__LIB_BUILD__)

// protected members

template <class Base>
inline long
IKeySortedSetOnSequenceImpl <Base>::
CompareKeys (void const* arg1, void const* arg2, IArgType argType) const
{ return OpsOf (*this).CompareKeys (arg1, arg2, argType);
}

// private members

template <class Base>
inline Base&
IKeySortedSetOnSequenceImpl <Base>::
BaseOf (IKeySortedSetOnSequenceImpl <Base> const& collection)
{ return collection.ivBase;
}

template <class Base>
inline IKeySortedSetOnSequenceImpl <Base>::Ops&
IKeySortedSetOnSequenceImpl <Base>::
OpsOf (IKeySortedSetOnSequenceImpl <Base> const& collection)
{ return (Ops&) IACollectionImpl::OpsOf (collection);
}
#endif

// ---------------------------
// IAKeySortedSetOnSequenceOps
// ---------------------------

// public members

template <class Base>
inline
IAKeySortedSetOnSequenceOps <Base>::
~IAKeySortedSetOnSequenceOps ()
{
}
