/* NOSHIP */
#ifndef _ITYPEINT_
#define _ITYPEINT_
/*******************************************************************************
* FILE NAME: ityptint.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITypeInternal                                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*   Portions or this component are based on work originating from Taligent.    *
*   (C) Copyright Taligent, Inc. 1996 - All rights reserved.                   *
*                                                                              *
*******************************************************************************/
#include <istring.hpp>

#pragma pack(4)

class ITypeInternal {
  public:
                                ITypeInternal(const IString& className,
                                              const IMetaTypeInfo* (*tgbFunction)(ITypeHelper* helper),
                                              void* (*tgdFunction)(const void* obj));
                                ITypeInternal();
                                ITypeInternal(const ITypeInternal& other);
            ITypeInternal&      operator=(const ITypeInternal& other);
            IBoolean            operator==(const ITypeInternal& other) const;
            IBoolean            operator!=(const ITypeInternal& other) const;
    virtual                     ~ITypeInternal();

    virtual void                SetLastBaseClass(ITypeInternal* baseTypeInternal, long adjustment);
    virtual ITypeInternal*      GetLastBaseClass(long& adjustment) const;
    virtual IMetaTypeInfo*      GetTypeInfo() const;
    virtual const IString&      GetClassName() const;
    static void                 AddType(const IString& className,
                                        const IMetaTypeInfo* (*tgbFunction)(ITypeHelper*));
    static ITypeInternal*       GetType(const IString& className);
    virtual const IMetaTypeInfo* CallTGBFunction(ITypeHelper* helper) const;
    virtual void*               CallTGDFunction(const void* obj) const;

  private:
    IMetaTypeInfo*              fTypeInfo;      // IMetaTypeInfo master object
    ITypeInternal*              fLastBaseClass; // MRU base class
    long                        fLastBaseAdjustment; // MRU base class adjustment
    IString                     fClassName;     // name used internally...

    const IMetaTypeInfo*        (*fTGBFunction)(ITypeHelper* helper);
    void*                       (*fTGDFunction)(const void* obj);
};

#pragma pack()

#endif // _ITYPEINT_
