/*******************************************************************************
* FILE NAME: iddecomm.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of the constants defined in the      *
*   scope of IDDE.                                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
{
   #define INCL_WINDDE
   #include <iwindefs.h>
}

#include <iddecomm.hpp>

#ifdef IC_PAGETUNE
  #define _IDDECOMM_CPP_
  #include <ipagetun.h>
#endif

#pragma data_seg(ICLStaticConst)

/*------------------------------------------------------------------------------
| Static type definitions.                                                     |
|                                                                              |
| These values are defined using the values used for the PM toolkit DDE        |
| values.                                                                      |
------------------------------------------------------------------------------*/

#ifdef IC_PM
const IDDE::Format IDDE::textFormat                    ( SZFMT_TEXT ),
                   IDDE::displayTextFormat             ( SZFMT_DSPTEXT ),
                   IDDE::bitmapFormat                  ( SZFMT_BITMAP ),
                   IDDE::displayBitmapFormat           ( SZFMT_DSPBITMAP ),
                   IDDE::metafileFormat                ( SZFMT_METAFILE ),
                   IDDE::displayMetafileFormat         ( SZFMT_DSPMETAFILE ),
                   IDDE::metafilePictureFormat         ( SZFMT_METAFILEPICT ),
                   IDDE::displayMetafilePictureFormat  ( SZFMT_DSPMETAFILEPICT ),
                   IDDE::paletteFormat                 ( SZFMT_PALETTE ),
                   IDDE::linkFormat                    ( SZFMT_LINK ),
                   IDDE::sylkFormat                    ( SZFMT_SYLK ),
                   IDDE::codepageTextFormat            ( SZFMT_CPTEXT ),
                   IDDE::dibFormat                     ( SZFMT_DIB ),
                   IDDE::difFormat                     ( SZFMT_DIF ),
                   IDDE::tiffFormat                    ( SZFMT_TIFF ),
                   IDDE::oemTextFormat                 ( SZFMT_OEMTEXT );
#endif /* IC_PM */

#ifdef IC_WIN
const IDDE::Format IDDE::textFormat                    ( "CF_TEXT" ),
                   IDDE::displayTextFormat             ( "CF_DSPTEXT" ),
                   IDDE::bitmapFormat                  ( "CF_BITMAP" ),
                   IDDE::displayBitmapFormat           ( "CF_DSPBITMAP" ),
                   IDDE::metafileFormat                ( "CF_ENHMETAFILE" ),
                   IDDE::displayMetafileFormat         ( "CF_DSPENHMETAFILE" ),
                   IDDE::metafilePictureFormat         ( "CF_METAFILEPICT" ),
                   IDDE::displayMetafilePictureFormat  ( "CF_DSPMETAFILEPICT" ),
                   IDDE::paletteFormat                 ( "CF_PALETTE" ),
                   IDDE::linkFormat                    ( "Link") ,
                   IDDE::sylkFormat                    ( "CF_SYLK" ),
                   IDDE::dibFormat                     ( "CF_DIB" ),
                   IDDE::difFormat                     ( "CF_DIF" ),
                   IDDE::tiffFormat                    ( "CF_TIFF" ),
                   IDDE::oemTextFormat                 ( "CF_OEMTEXT" );
#endif /* IC_WIN */

#pragma data_seg()
