/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswContAccel
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    The CAswContAccel class handles all of a simple InPlace container's
 *    accelerator requirements.  If your container uses non-standard windows
 *    accelerator tables you will need to override Aswan's CAswContAccel
 *    implementations.  The CAswContAccel class inherits from CAswAccelBase.
 *    See the CAswAccelBase class documentation for further details. 
 *
 *****************************************************************************/

#ifndef ASCNTACL_H
#define ASCNTACL_H
#include <aspack.h>
typedef enum tagASWACCELTYPE
{
   ASWACCELTYPE_XXX = 1
} ASWACCELTYPE;
class ASWPUBCLASS CAswContAccel : public CAswCtlBase
{
public:
   ASWPUBMETHOD CAswContAccel( PASWCONTROL pAswControl );
   ASWPUBMETHOD ~CAswContAccel( void ); 
   CAswResult ASWPUBMETHOD Setup( HACCEL hAccel, 
                                  UINT   cAccelEntries );
   CAswResult ASWPUBMETHOD Shutdown( BOOL fEmergency = FALSE );
   BOOL ASWPUBMETHOD GiveServerChanceToHandle( PASWWINDOWBASE pAswWndBase, 
                                               LPMSG          lpMsg ); 
   virtual BOOL ASWPUBMETHOD OnContainerChanceToHandle(LPMSG lpMsg, WORD wID);
   virtual void ASWPUBMETHOD GetInPlaceAccelTable( PHACCEL phAccel, 
                                                   LPUINT  lpuAccelEntries );
	void ASWPUBMETHOD SetFrameWindow( PASWFRAMEWINDOW pAswFrameWnd );
   inline HACCEL GetAccelTable( void )
   {
      return m_hAccel;
   }
   inline UINT GetAccelEntries( void )
   {
      return m_cAccelEntries;
   }
private:
   HACCEL   			m_hAccel; 
   UINT     			m_cAccelEntries;
	PASWFRAMEWINDOW	m_pAswFrameWnd;
};
#include <aspop.h>
#endif   
