/* NOSHIP */
/*****************************************************************************
 *
 * ascomsit.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * LIST OF CLASSES IN THIS FILE
 *      CAswCOMSite
 *
 * Description:
 *
 *
 *
 *****************************************************************************/

#ifndef ASCOMSIT_H
#define ASCOMSIT_H
#include <aspack.h>
typedef enum tagASWOBJSTATE
{
   OBJSTATE_PASSIVE = 0,                     
   OBJSTATE_LOADED = 1,                      
   OBJSTATE_RUNNING_UNLOADUNSURE = 2,        
   OBJSTATE_RUNNING_CANUNLOAD = 3,           
   OBJSTATE_RUNNING_CANNOTUNLOAD = 4,        
   OBJSTATE_RUNNING_BUTCLOSED = 5            
} ASWOBJSTATE, ASWPTR * PASWOBJSTATE;
typedef enum tagASWOBJDIRTYSTATE
{
   ASWOBJDIRTYSTATE_CLEAN = 0,         
   ASWOBJDIRTYSTATE_DATADIRTY,         
   ASWOBJDIRTYSTATE_PRESDIRTY          
} ASWOBJDIRTYSTATE, ASWPTR * PASWOBJDIRTYSTATE;
class ASWPUBCLASS CAswCOMSite : public CAswCOMBase
{
public:
   ASWPUBMETHOD CAswCOMSite( PASWCONTROL pAswControl,
                             LPUNKNOWN lpUnknownOuter = NULL );
   ASWPUBMETHOD CAswCOMSite( PASWCONTROL pAswControl,
                             PMAPSTATE   pMapState,
                             LPUNKNOWN   lpUnknownOuter );
   ASWPUBMETHOD ~CAswCOMSite( void );
   CAswResult ASWPUBMETHOD Setup( PASWCONTAINER pAswContainer );
   CAswResult ASWPUBMETHOD Shutdown( BOOL fEmergency = FALSE );
   CAswResult ASWPUBMETHOD DuplicateCOM( PASWCOMSITE pTargetCOMSite );
   virtual CAswResult ASWPUBMETHOD Unload( void );
   virtual CAswResult ASWPUBMETHOD Run( void );
   virtual CAswResult ASWPUBMETHOD Close( DWORD dwSaveOption );
   virtual CAswResult ASWPUBMETHOD IsStateChangeOK( ASWOBJSTATE uDesiredState );
   virtual ASWOBJSTATE ASWPUBMETHOD GetState( void );
   virtual void ASWPUBMETHOD OnStateChange( ASWOBJSTATE state );
   CAswResult ASWPUBMETHOD QueryHeldInterface( REFIID riid,
         PASWREFHOLDER pAswRefHolder );
   virtual ASWOBJDIRTYSTATE ASWPUBMETHOD GetDirtyState( void );
   virtual CAswResult ASWPUBMETHOD Save( PASWSTORAGE pNewAswStorage );
   virtual CAswResult ASWPUBMETHOD SaveCompleted( PASWSTORAGE pNewAswStorage );
   virtual CAswResult ASWPUBMETHOD IsUpToDate( void );
   virtual CAswResult ASWPUBMETHOD Update( void );
   virtual void       ASWPUBMETHOD NotifyOfRename( LPMONIKER pmk );
   virtual void       ASWPUBMETHOD NotifyOfDocRename( LPASWCOLESTR pszDocumentName );
   inline void SetState( ASWOBJSTATE state )
   {
      if( state != m_AswObjState )
         OnStateChange( state );
      m_AswObjState = state;
   }
   inline CAswResult SetUnknownRefHolder( LPUNKNOWN  lpUnknown )
   {
      return (m_refhIUnknown.SetReturnedInterface( lpUnknown,
                                                   IID_IUnknown,
                                                   FALSE ));
   };
   inline PASWREFHOLDER GetUnknownRefHolder( void ) const
   {
      return (PASWREFHOLDER)&m_refhIUnknown;
   };
   inline void SetDisconnectFlag( void )
   {
      m_bDisconnectAlreadyDone = TRUE;
   }
#ifdef ASWASSERT
   inline BOOL DebugHasObjBeenCreated( void )
   {
      LPUNKNOWN lpUnknown = (LPUNKNOWN)m_refhIUnknown.Get();
      return (lpUnknown) ? TRUE : FALSE;
   };
#endif
public:
   CAswListEl     m_leCOMSiteListElement;
protected:
#ifdef ASWOCX
   PASWREFHOLDER ASWPUBMETHOD GetConnectionPointContainerRH( void );
   CAswResult ASWPUBMETHOD CAswCOMSite::AddConnection( PASWCONNMGR pConn );
   CAswResult ASWPUBMETHOD CAswCOMSite::RemoveConnection( PASWCONNMGR pConn );
   CAswResult ASWPUBMETHOD CAswCOMSite::ReleaseAllConnections( void );
#endif 
private:
   CAswRefHolder           m_refhIUnknown;            
   PASWCONTAINER           m_pAswContainer;
   ASWOBJSTATE             m_AswObjState;
   BOOL                    m_bDisconnectAlreadyDone;
#ifdef ASWOCX
   CAswRefHolder           m_refhIConnectionPointContainer;
   CAswAutoConnMgrListHead m_lhShutdownConnections;
#endif 
};
MAKELISTHEADCLASS(CAswCOMSite);
#include <aspop.h>
#endif      
