/* NOSHIP */
/*****************************************************************************
 *
 * asrendev.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * LIST OF CLASSES IN THIS FILE
 *      CAswObjRendDev
 *
 * Description:
 *
 *
 *
 *****************************************************************************/

#ifndef ASWAN_ASRENDEV_H
#define ASWAN_ASRENDEV_H
#if !defined (_WIN32)
   #ifndef _INC_PRINT
      #include <print.h>      
   #endif
#endif
#include <aspack.h>
#ifdef LTSOS2
#include <ltsos2.h>        
#include <asenvmac.h>      
#endif
class ASWPUBCLASS CAswObjRendDev : public CAswBase
{
public:
   ASWPUBMETHOD CAswObjRendDev( PASWCONTROL pAswControl );
   ASWPUBMETHOD ~CAswObjRendDev( void );
   CAswResult ASWPUBMETHOD Setup( PASWCONTAINEDOBJECT pAswContainedObject,
                                  PASWASPECT          pAswAspect,
                                  LPASWCOLESTR        lpszDriverName = NULL,
                                  LPASWCOLESTR        DeviceName = NULL,
                                  LPASWCOLESTR        PortName = NULL,
                                  LPASWDEVMODE        lpDevMode = NULL );
   CAswResult ASWPUBMETHOD Shutdown( BOOL fEmergency = FALSE );
   inline PASWASPECT GetAspect( void ) const
   {
      return (m_pAswAspect);
   };
   LPASWCOLESTR ASWPUBMETHOD GetDriverName( void );
   LPASWCOLESTR ASWPUBMETHOD GetDeviceName( void );
   LPASWCOLESTR ASWPUBMETHOD GetPortName( void );
   const LPASWDEVMODE ASWPUBMETHOD GetDevMode( void );
   inline DVTARGETDEVICE ASWPTR * GetTargetDevice( void ) const
   {
      return ( m_ptd );
   };
   CAswResult ASWPUBMETHOD SwitchTargetDevice( PASWOBJRENDDEV pAswObjRendDev,
                                               BOOL           bOldCacheFlag,
                                               BOOL           bNewCacheFlag );
   CAswResult ASWPUBMETHOD Cache( void );
   CAswResult ASWPUBMETHOD Uncache( void );
   BOOL ASWPUBMETHOD IsCached( void );
   CAswResult ASWPUBMETHOD GetCanonicalFormat( LPDWORD          lpdwDrawAspect,
                                               LPDVTARGETDEVICE lpDeviceTarget,
                                               LPLONG           lplIndex );
   inline void AddPresSiteToList( PASWPRESSITE pPresSite )
   {
      m_lhListOfPresSites.Insert(pPresSite);
   };
   inline void RemovePresSiteFromList( PASWPRESSITE pPresSite )
   {
      m_lhListOfPresSites.Remove(pPresSite);
   };
   inline PASWPRESSITE GetFirstPresSite( void )
   {
      return m_lhListOfPresSites.GetFirst();
   }
   inline PASWPRESSITE GetNextPresSite( void )
   {
      return m_lhListOfPresSites.GetNext();
   }
   void HandleRerenderNeeded(void);
   void HandleShowAsBeingEditElsewhere( BOOL fShow );
public:
   CAswListEl     m_leObjRendDevListElement;
private:
   CAswPresSiteListHead    m_lhListOfPresSites;
   PASWCONTAINEDOBJECT     m_pAswContainedObject;
   PASWASPECT              m_pAswAspect;
   DVTARGETDEVICE ASWPTR * m_ptd;
};
MAKELISTHEADCLASS(CAswObjRendDev);
#include <aspop.h>
#endif      
