/* NOSHIP */
/*****************************************************************************
 *
 * asrootbs.h
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * LIST OF CLASSES IN THIS FILE
 *      CAswRootStorageBase
 *
 * Description:
 *
 *
 *
 *****************************************************************************/

#if !defined( ASWAN_ROOTBASE_H )
#define ASWAN_ROOTBASE_H
#include <io.h>      
#include <aspack.h>  
class ASWPUBCLASS CAswRootStorageBase : public CAswCtlBase
{
public:
   ASWPUBMETHOD CAswRootStorageBase( PASWCONTROL pControl );
   ASWPUBMETHOD ~CAswRootStorageBase();
   virtual CAswResult ASWPUBMETHOD Setup( void );
   virtual CAswResult ASWPUBMETHOD Shutdown( BOOL fEmergency = FALSE );
   virtual CAswResult ASWPUBMETHOD Create( PASWSTORAGE pAswStorage,  
                                           LPVOID      lpVoid );
   virtual CAswResult ASWPUBMETHOD Create( PASWSTORAGE pAswStorage,
                                           LPASWOLESTR lpstrName,
                                           DWORD       dwgrfMode = STGM_READWRITE );
   virtual CAswResult ASWPUBMETHOD Open( PASWSTORAGE pAswStorage, 
                                         LPVOID      lpVoid );
   virtual 
   CAswResult ASWPUBMETHOD Open( PASWSTORAGE pAswStorage,
                                 LPASWOLESTR lpstrName, 
                                 DWORD       dwgrfMode =   STGM_READ,
                                 PASWSTORAGE pAswanStgPriority = NULL,
                                 ASWSNB      snbExclude = NULL );
   virtual BOOL ASWPUBMETHOD Compact( LPVOID lpVoid, LPVOID lpVoidNew );
protected:
   virtual HRESULT CreateRootStg( LPVOID lpVoid, LPLPSTORAGE lplpIStorage) PURE;
   virtual HRESULT OpenRootStg( LPVOID lpVoid, LPLPSTORAGE lplpIStorage ) PURE;
   static void EnforceShare( DWORD ASWPTR * lpdwgrfMode );
private:
   inline CAswResult InitContainedRootStorage( LPSTORAGE lpStorage )
   {
      CAswResult ar = m_pAswStorage->SetReturnedStorage( lpStorage );
      m_pAswStorage->SetStorageName( NULL );
      return ( ar );
   }
   inline CAswResult RecycleContainedRootStorage( LPSTORAGE lpNewStorage )
   {
      m_pAswStorage->Shutdown();
      m_pAswStorage->Setup();
      return ( InitContainedRootStorage( lpNewStorage ) );
   }
   BOOL        m_fSetup;
   PASWSTORAGE m_pAswStorage;
};
class ASWPUBCLASS CAswDiskFile : public CAswMemoryBase
{
public:
   inline CAswDiskFile( LPASWOLESTR lpszFilename );
   BOOL ASWPUBMETHOD Delete( void );
   BOOL Rename( LPASWOLESTR lpszNewFilename );
#if defined ASWANASSERT
   BOOL Exists( void ) const;
#endif
private:
   LPASWOLESTR m_lpszFilename;
};
#pragma warning( disable:4705 )
inline CAswDiskFile::CAswDiskFile( LPASWOLESTR lpszFilename )
   : m_lpszFilename( lpszFilename )
{
}
#pragma warning( default:4705 )
#include <aspop.h>
#endif      
