/* NOSHIP */
/*******************************************************************************
* FILE NAME: iolestrm.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IOLEStream                                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1996             *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IOLESTRM_
#define _IOLESTRM_

#include <ibasstrm.hpp>

class CAswStream;

/*******************************************************************************
*                                                                              *
*                           IOLEStream                                         *
*                                                                              *
*******************************************************************************/

class IOLEStream : public IBaseStream
{
public:
                            IOLEStream(const CAswStream&);
    virtual                 ~IOLEStream();

    virtual Position        position() const; 
    virtual Position        logicalEndOfStream() const;
    virtual Position        physicalEndOfStream() const;
    virtual Boolean         isWriteable() const;
    virtual IOLEStream&     seek(Position position);
    virtual IOLEStream&     setLogicalEndOfStream(Position);
    
protected:
    virtual void            handleWriteBufferFull(const void* source,
                                                  size_t sourceSize);
    virtual void            handleReadBufferEmpty(void* destination,
                                                  size_t destinationSize);
        
    virtual IOLEStream&     setPhysicalEndOfStream(Position);

                            IOLEStream();
        
private:
                            IOLEStream(const IOLEStream& copy);
    IOLEStream&             operator=(const IOLEStream& copy);

// Data Members

    CAswStream*             fAswStream;

};

#endif
