/* NOSHIP */
#ifndef _IMULTSTA_
#define _IMULTSTA_
/*******************************************************************************
* FILE NAME: imultsta.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMultimediaStatics                                                       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ihandle.hpp>
#include <istring.hpp>

#pragma pack(4)

#ifdef IC_PMWIN
class IDynamicLinkLibrary;

#ifdef IC_PM
typedef unsigned long
     (_System  ISendString)( char* , char*, unsigned short,
                             IWindowHandle, unsigned short );
typedef unsigned long
     (_System  ISendCommand)( unsigned short, unsigned short,
                              unsigned long, void*, unsigned short );
typedef unsigned long
     (_System  IGetErrorString)( unsigned long, char*, unsigned short );
#endif

#ifdef IC_WIN
  typedef unsigned long
     (__stdcall  ISendString)( char* , char*, unsigned short,
                             IWindowHandle );
  typedef MCIERROR
     (__stdcall  ISendCommand)( MCIDEVICEID,UINT,DWORD,DWORD );

  typedef unsigned long
     (__stdcall  IGetErrorString)( unsigned long, char*, unsigned short );

  typedef UINT
     (__stdcall  IMixerGetNumDevs)( );

  typedef MMRESULT
     (__stdcall  IMixerOpen)( LPHMIXER,UINT,DWORD,DWORD,DWORD );

  typedef MMRESULT
     (__stdcall  IMixerClose)( HMIXER );

  typedef MMRESULT
     (__stdcall  IMixerGetLineInfo)( HMIXEROBJ,LPMIXERLINE,DWORD );

  typedef MMRESULT
     (__stdcall  IMixerGetLineControls)( HMIXEROBJ,LPMIXERLINECONTROLS,DWORD );

  typedef MMRESULT
     (__stdcall  IMixerGetControlDetails)( HMIXEROBJ,LPMIXERCONTROLDETAILS,DWORD );

  typedef MMRESULT
     (__stdcall  IMixerSetControlDetails)( HMIXEROBJ,LPMIXERCONTROLDETAILS,DWORD );
#endif

typedef Boolean
     (_System  IRegisterCircularSlider)( );
typedef Boolean
     (_System  IRegisterGraphicButton)( );
typedef Boolean
     (_System  IRegisterSelectionSlider)( );

class IMultimediaStatics : public IBase
{
public:
 ~IMultimediaStatics          ( );

static IDynamicLinkLibrary
 &mmpmDLL               ( ),
 &mmctlDLL              ( );

static unsigned long
  getErrorString        ( unsigned long error, IString &buffer,
                          unsigned short bufferLength),
  sendString            ( const IString &command, IString &returnData,
                          unsigned short returnLength,
                          IWindowHandle window, unsigned short userParam),
  sendCommand           ( unsigned short deviceId, unsigned short message,
                          unsigned long param1, void* param2,
                          unsigned short userParam);
static Boolean
  registerCircularSlider  (),
  registerGraphicButton   (),
  registerSelectionSlider ();

#ifdef IC_WIN
static Boolean
  mixerGetNumDevs();
static MMRESULT
  mixerOpen(LPHMIXER,UINT,DWORD,DWORD,DWORD),
  mixerClose(HMIXER),
  mixerGetLineInfo(HMIXEROBJ,LPMIXERLINE,DWORD),
  mixerGetLineControls(HMIXEROBJ,LPMIXERLINECONTROLS,DWORD),
  mixerGetControlDetails(HMIXEROBJ,LPMIXERCONTROLDETAILS,DWORD),
  mixerSetControlDetails(HMIXEROBJ,LPMIXERCONTROLDETAILS,DWORD);
#endif

static IGetErrorString
  IC_IMPORTM *entryGetErrorString;
static ISendString
  IC_IMPORTM *entrySendString;
static ISendCommand
  IC_IMPORTM *entrySendCommand;
static IRegisterCircularSlider
  IC_IMPORTM *entryRegisterCircularSlider;
static IRegisterGraphicButton
  IC_IMPORTM *entryRegisterGraphicButton;
static IRegisterSelectionSlider
  IC_IMPORTM *entryRegisterSelectionSlider;

static IDynamicLinkLibrary
  IC_IMPORTM *mmpmDynLinkLib,
  IC_IMPORTM *mmctlDynLinkLib;

#ifdef IC_WIN
static IMixerGetNumDevs
  IC_IMPORTM *entryMixerGetNumDevs;
static IMixerOpen
  IC_IMPORTM *entryMixerOpen;
static IMixerClose
  IC_IMPORTM *entryMixerClose;
static IMixerGetLineInfo
  IC_IMPORTM *entryMixerGetLineInfo;
static IMixerGetLineControls
  IC_IMPORTM *entryMixerGetLineControls;
static IMixerGetControlDetails
  IC_IMPORTM *entryMixerGetControlDetails;
static IMixerSetControlDetails
  IC_IMPORTM *entryMixerSetControlDetails;
#endif
}; // IMultimediaStatics

#endif /* IC_PMWIN  */

#pragma pack()

#endif /* _IMULTSTA_ */
