/* NOSHIP */

/*************************************************************************
**
** asolestd.h
**
** Copyright (c) 1990,1995 Microsoft Corp.  All Rights Reserved
**               (derived from OLESTD.H)
** Copyright (c) 1995,1996 Lotus Development Corporation. All Rights Reserved
**
** Description:
**    This file contains file contains data structure defintions,
**    function prototypes, constants, etc. for the common OLE 2.0
**    utilities.
**    These utilities include the following:
**        -  Debuging Assert/Verify macros
**        -  HIMETRIC conversion routines
**        -  reference counting debug support
**        -  OleStd API's for common compound-document app support
**
*************************************************************************/

#if !defined( _ASOLESTD_H_ )
#define _ASOLESTD_H_
#if defined( __TURBOC__ ) || defined( WIN32 )
#define _based(a)
#endif
#ifndef RC_INVOKED
#include <dos.h>        
#endif  
#if !defined( LTSOS2 )
#include <commdlg.h>    
#endif
#include <shellapi.h>   
#include <aspack.h>  
#if defined(MAKEDLL) && defined(__IBMCPP__) 
  #define STDEXPORT_STDAPI extern "C" __declspec (dllexport) HRESULT __stdcall 
#else
  #define STDEXPORT_STDAPI STDEXPORT STDAPI
#endif
#define  IDS_OLESTDNOCREATEFILE   700
#define  IDS_OLESTDNOOPENFILE     701
#define  IDS_OLESTDDISKFULL       702
#if ! defined(__cplusplus)
typedef struct tagINTERFACEIMPL {
      IUnknownVtbl FAR*       lpVtbl;
      LPVOID                  lpBack;
      int                     cRef;   
} INTERFACEIMPL, FAR* LPINTERFACEIMPL;
#define INIT_INTERFACEIMPL(lpIFace, pVtbl, pBack)   \
      ((lpIFace)->lpVtbl = pVtbl, \
         ((LPINTERFACEIMPL)(lpIFace))->lpBack = (LPVOID)pBack,   \
         ((LPINTERFACEIMPL)(lpIFace))->cRef = 0  \
      )
#if defined( _DEBUG )
#define OleDbgQueryInterfaceMethod(lpUnk)   \
      ((lpUnk) != NULL ? ((LPINTERFACEIMPL)(lpUnk))->cRef++ : 0)
#define OleDbgAddRefMethod(lpThis, iface)   \
      ((LPINTERFACEIMPL)(lpThis))->cRef++
#if _DEBUGLEVEL >= 2
#define OleDbgReleaseMethod(lpThis, iface) \
      (--((LPINTERFACEIMPL)(lpThis))->cRef == 0 ? \
         OleDbgOut("\t" iface "* RELEASED (cRef == 0)\r\n"),1 : \
          (((LPINTERFACEIMPL)(lpThis))->cRef < 0) ? \
            ( \
               DebugBreak(), \
               OleDbgOut(  \
                  "\tERROR: " iface "* RELEASED TOO MANY TIMES\r\n") \
            ),1 : \
            1)
#else       
#define OleDbgReleaseMethod(lpThis, iface) \
      (--((LPINTERFACEIMPL)(lpThis))->cRef == 0 ? \
         1 : \
          (((LPINTERFACEIMPL)(lpThis))->cRef < 0) ? \
            ( \
               OleDbgOut(  \
                  "\tERROR: " iface "* RELEASED TOO MANY TIMES\r\n") \
      ),1 : \
            1)
#endif      
#else       
#define OleDbgQueryInterfaceMethod(lpUnk)
#define OleDbgAddRefMethod(lpThis, iface)
#define OleDbgReleaseMethod(lpThis, iface)
#endif      
#endif      
#define STGM_DFRALL (STGM_READWRITE | STGM_TRANSACTED | STGM_SHARE_DENY_WRITE)
#define STGM_DFALL (STGM_READWRITE | STGM_TRANSACTED | STGM_SHARE_EXCLUSIVE)
#define STGM_SALL (STGM_READWRITE | STGM_SHARE_EXCLUSIVE)
#if defined( _MAC )
#define OLESTDDELIM ASWOLESTR(":")
#else
#define OLESTDDELIM ASWOLESTR("\\")
#endif
#define OLESTDRETRYDELAY    (DWORD)5000
#define OLESTDCANCELRETRY   (DWORD)-1
#define GetIconOfFile(hInst, lpszFileName, fUseFileAsLabel) \
   OleGetIconOfFile(lpszFileName, fUseFileAsLabel)
#define GetIconOfClass(hInst, rclsid, lpszLabel, fUseTypeAsLabel) \
   OleGetIconOfClass(rclsid, lpszLabel, fUseTypeAsLabel)
#define OleUIMetafilePictFromIconAndLabel(hIcon,pszLabel,pszSourceFile,iIcon)\
   OleMetafilePictFromIconAndLabel(hIcon, pszLabel, pszSourceFile, iIcon)
#define SETFORMATETC(fe, cf, asp, td, med, li)   \
   ((fe).cfFormat=cf, \
    (fe).dwAspect=asp, \
    (fe).ptd=td, \
    (fe).tymed=med, \
    (fe).lindex=li)
#define SETDEFAULTFORMATETC(fe, cf, med)  \
   ((fe).cfFormat=cf, \
    (fe).dwAspect=DVASPECT_CONTENT, \
    (fe).ptd=NULL, \
    (fe).tymed=med, \
    (fe).lindex=-1)
#define IsEqualFORMATETC(fe1, fe2)  \
   (OleStdCompareFormatEtc(&(fe1), &(fe2))==0)
#define CF_EMBEDSOURCE      "Embed Source"
#define CF_EMBEDDEDOBJECT   "Embedded Object"
#define CF_LINKSOURCE       "Link Source"
#define CF_CUSTOMLINKSOURCE "Custom Link Source"
#define CF_OBJECTDESCRIPTOR "Object Descriptor"
#define CF_LINKSRCDESCRIPTOR "Link Source Descriptor"
#define CF_OWNERLINK        "OwnerLink"
#define CF_FILENAME         "FileName"
#define OleStdQueryOleObjectData(lpformatetc)   \
   (((lpformatetc)->tymed & TYMED_ISTORAGE) ?    \
         NOERROR : ResultFromScode(DV_E_FORMATETC))
#define OleStdQueryLinkSourceData(lpformatetc)   \
   (((lpformatetc)->tymed & TYMED_ISTREAM) ?    \
         NOERROR : ResultFromScode(DV_E_FORMATETC))
#define OleStdQueryObjectDescriptorData(lpformatetc)    \
   (((lpformatetc)->tymed & TYMED_HGLOBAL) ?    \
         NOERROR : ResultFromScode(DV_E_FORMATETC))
#define OleStdQueryFormatMedium(lpformatetc, tymd)  \
   (((lpformatetc)->tymed & tymd) ?    \
         NOERROR : ResultFromScode(DV_E_FORMATETC))
#define OleStdCopyMetafilePict(hpictin, phpictout)  \
   (*(phpictout) = OleDuplicateData(hpictin,CF_METAFILEPICT,GHND|GMEM_SHARE))
#if !defined( DD_DEFSCROLLINTERVAL )
#define DD_DEFSCROLLINTERVAL    50
#endif
#if !defined( DD_DEFDRAGDELAY )
#define DD_DEFDRAGDELAY         200
#endif
#if !defined( DD_DEFDRAGMINDIST )
#define DD_DEFDRAGMINDIST       2
#endif
#define OleStdGetDropEffect(grfKeyState)    \
   ( (grfKeyState & MK_CONTROL) ?          \
      ( (grfKeyState & MK_SHIFT) ? DROPEFFECT_LINK : DROPEFFECT_COPY ) :  \
      ( (grfKeyState & MK_SHIFT) ? DROPEFFECT_MOVE : 0 ) )
typedef enum tagOLEUIPASTEFLAG
{
   OLEUIPASTE_ENABLEICON    = 2048,     
   OLEUIPASTE_PASTEONLY     = 0,
   OLEUIPASTE_PASTE         = 512,
   OLEUIPASTE_LINKANYTYPE   = 1024,
   OLEUIPASTE_LINKTYPE1     = 1,
   OLEUIPASTE_LINKTYPE2     = 2,
   OLEUIPASTE_LINKTYPE3     = 4,
   OLEUIPASTE_LINKTYPE4     = 8,
   OLEUIPASTE_LINKTYPE5     = 16,
   OLEUIPASTE_LINKTYPE6     = 32,
   OLEUIPASTE_LINKTYPE7     = 64,
   OLEUIPASTE_LINKTYPE8     = 128
} OLEUIPASTEFLAG;
typedef struct tagOLEUIPASTEENTRY
{
   FORMATETC        fmtetc;            
   LPASWCOLESTR     lpstrFormatName;   
   LPASWCOLESTR     lpstrResultText;   
   DWORD            dwFlags;           
   DWORD            dwScratchSpace;    
} OLEUIPASTEENTRY, *POLEUIPASTEENTRY, FAR *LPOLEUIPASTEENTRY;
#define OLESTDDROP_NONE         0
#define OLESTDDROP_DEFAULT      1
#define OLESTDDROP_NONDEFAULT   2
#define EMBEDDINGFLAG "Embedding"     
#define HIMETRIC_PER_INCH   2540      
#define PTS_PER_INCH        72        
#define MAP_PIX_TO_LOGHIM(x,ppli)   MulDiv(HIMETRIC_PER_INCH, (x), (ppli))
#define MAP_LOGHIM_TO_PIX(x,ppli)   MulDiv((ppli), (x), HIMETRIC_PER_INCH)
#define MAP_PIX_TO_LOGHIM_LONG(x,ppli)   ( (long)HIMETRIC_PER_INCH  * (long)(x) / (long)(ppli) )
#define MAP_LOGHIM_TO_PIX_LONG(x,ppli)   ( (long)(ppli) * (long)(x) / (long)HIMETRIC_PER_INCH )
#define AreRectsEqual(lprc1, lprc2)     \
   (((lprc1->top == lprc2->top) &&     \
     (lprc1->left == lprc2->left) &&   \
     (lprc1->right == lprc2->right) && \
     (lprc1->bottom == lprc2->bottom)) ? TRUE : FALSE)
#define LSTRCPYN(lpdst, lpsrc, cch) \
(\
   (lpdst)[(cch)-1] = '\0', \
   ((cch)>1 ? _fstrncpy(lpdst, lpsrc, (cch)-1) : 0)\
)
#ifdef _DEBUG
#if !defined( _DBGTRACE )
#define _DEBUGLEVEL 2
#else
#define _DEBUGLEVEL _DBGTRACE
#endif
#if defined( NOASSERT )
#define OLEDBGASSERTDATA
#define OleDbgAssert(a)
#define OleDbgAssertSz(a, b)
#define OleDbgVerify(a)
#define OleDbgVerifySz(a, b)
#else   
#define OLEDBGASSERTDATA    \
      static char _based(_segname("_CODE")) _szAssertFile[]= __FILE__;
#define OleDbgAssert(a) \
      (!(a) ? FnAssert(#a, NULL, _szAssertFile, __LINE__) : (HRESULT)1L)
#define OleDbgAssertSz(a, b)    \
      (!(a) ? FnAssert(#a, b, _szAssertFile, __LINE__) : (HRESULT)1L)
#define OleDbgVerify(a) \
      OleDbgAssert(a)
#define OleDbgVerifySz(a, b)    \
      OleDbgAssertSz(a, b)
#endif  
#define OLEDBGDATA_MAIN(szPrefix)   \
      char near g_szDbgPrefix[] = szPrefix;    \
      OLEDBGASSERTDATA
#define OLEDBGDATA  \
      extern char near g_szDbgPrefix[];    \
      OLEDBGASSERTDATA
#define OLEDBG_BEGIN(lpsz) \
      OleDbgPrintAlways(g_szDbgPrefix,lpsz,1);
#define OLEDBG_END  \
      OleDbgPrintAlways(g_szDbgPrefix,"End\r\n",-1);
#define OleDbgOut(lpsz) \
      OleDbgPrintAlways(g_szDbgPrefix,lpsz,0)
#define OleDbgOutNoPrefix(lpsz) \
      OleDbgPrintAlways("",lpsz,0)
#define OleDbgOutRefCnt(lpsz,lpObj,refcnt)      \
      OleDbgPrintRefCntAlways(g_szDbgPrefix,lpsz,lpObj,(ULONG)refcnt)
#define OleDbgOutRect(lpsz,lpRect)      \
      OleDbgPrintRectAlways(g_szDbgPrefix,lpsz,lpRect)
#define OleDbgOutHResult(lpsz,hr)   \
      OleDbgPrintScodeAlways(g_szDbgPrefix,lpsz,GetScode(hr))
#define OleDbgOutScode(lpsz,sc) \
      OleDbgPrintScodeAlways(g_szDbgPrefix,lpsz,sc)
#define OleDbgOut1(lpsz)    \
      OleDbgPrint(1,g_szDbgPrefix,lpsz,0)
#define OleDbgOutNoPrefix1(lpsz)    \
      OleDbgPrint(1,"",lpsz,0)
#define OLEDBG_BEGIN1(lpsz)    \
      OleDbgPrint(1,g_szDbgPrefix,lpsz,1);
#define OLEDBG_END1 \
      OleDbgPrint(1,g_szDbgPrefix,"End\r\n",-1);
#define OleDbgOutRefCnt1(lpsz,lpObj,refcnt)     \
      OleDbgPrintRefCnt(1,g_szDbgPrefix,lpsz,lpObj,(ULONG)refcnt)
#define OleDbgOutRect1(lpsz,lpRect)     \
      OleDbgPrintRect(1,g_szDbgPrefix,lpsz,lpRect)
#define OleDbgOut2(lpsz)    \
      OleDbgPrint(2,g_szDbgPrefix,lpsz,0)
#define OleDbgOutNoPrefix2(lpsz)    \
      OleDbgPrint(2,"",lpsz,0)
#define OLEDBG_BEGIN2(lpsz)    \
      OleDbgPrint(2,g_szDbgPrefix,lpsz,1);
#define OLEDBG_END2 \
      OleDbgPrint(2,g_szDbgPrefix,"End\r\n",-1);
#define OleDbgOutRefCnt2(lpsz,lpObj,refcnt)     \
      OleDbgPrintRefCnt(2,g_szDbgPrefix,lpsz,lpObj,(ULONG)refcnt)
#define OleDbgOutRect2(lpsz,lpRect)     \
      OleDbgPrintRect(2,g_szDbgPrefix,lpsz,lpRect)
#define OleDbgOut3(lpsz)    \
      OleDbgPrint(3,g_szDbgPrefix,lpsz,0)
#define OleDbgOutNoPrefix3(lpsz)    \
      OleDbgPrint(3,"",lpsz,0)
#define OLEDBG_BEGIN3(lpsz)    \
      OleDbgPrint(3,g_szDbgPrefix,lpsz,1);
#define OLEDBG_END3 \
      OleDbgPrint(3,g_szDbgPrefix,"End\r\n",-1);
#define OleDbgOutRefCnt3(lpsz,lpObj,refcnt)     \
      OleDbgPrintRefCnt(3,g_szDbgPrefix,lpsz,lpObj,(ULONG)refcnt)
#define OleDbgOutRect3(lpsz,lpRect)     \
      OleDbgPrintRect(3,g_szDbgPrefix,lpsz,lpRect)
#define OleDbgOut4(lpsz)    \
      OleDbgPrint(4,g_szDbgPrefix,lpsz,0)
#define OleDbgOutNoPrefix4(lpsz)    \
      OleDbgPrint(4,"",lpsz,0)
#define OLEDBG_BEGIN4(lpsz)    \
      OleDbgPrint(4,g_szDbgPrefix,lpsz,1);
#define OLEDBG_END4 \
      OleDbgPrint(4,g_szDbgPrefix,"End\r\n",-1);
#define OleDbgOutRefCnt4(lpsz,lpObj,refcnt)     \
      OleDbgPrintRefCnt(4,g_szDbgPrefix,lpsz,lpObj,(ULONG)refcnt)
#define OleDbgOutRect4(lpsz,lpRect)     \
      OleDbgPrintRect(4,g_szDbgPrefix,lpsz,lpRect)
#else   
#define OLEDBGDATA_MAIN(szPrefix)
#define OLEDBGDATA
#define OleDbgAssert(a)
#define OleDbgAssertSz(a, b)
#define OleDbgVerify(a)         (a)
#define OleDbgVerifySz(a, b)    (a)
#define OleDbgOutHResult(lpsz,hr)
#define OleDbgOutScode(lpsz,sc)
#define OLEDBG_BEGIN(lpsz)
#define OLEDBG_END
#define OleDbgOut(lpsz)
#define OleDbgOut1(lpsz)
#define OleDbgOut2(lpsz)
#define OleDbgOut3(lpsz)
#define OleDbgOut4(lpsz)
#define OleDbgOutNoPrefix(lpsz)
#define OleDbgOutNoPrefix1(lpsz)
#define OleDbgOutNoPrefix2(lpsz)
#define OleDbgOutNoPrefix3(lpsz)
#define OleDbgOutNoPrefix4(lpsz)
#define OLEDBG_BEGIN1(lpsz)
#define OLEDBG_BEGIN2(lpsz)
#define OLEDBG_BEGIN3(lpsz)
#define OLEDBG_BEGIN4(lpsz)
#define OLEDBG_END1
#define OLEDBG_END2
#define OLEDBG_END3
#define OLEDBG_END4
#define OleDbgOutRefCnt(lpsz,lpObj,refcnt)
#define OleDbgOutRefCnt1(lpsz,lpObj,refcnt)
#define OleDbgOutRefCnt2(lpsz,lpObj,refcnt)
#define OleDbgOutRefCnt3(lpsz,lpObj,refcnt)
#define OleDbgOutRefCnt4(lpsz,lpObj,refcnt)
#define OleDbgOutRect(lpsz,lpRect)
#define OleDbgOutRect1(lpsz,lpRect)
#define OleDbgOutRect2(lpsz,lpRect)
#define OleDbgOutRect3(lpsz,lpRect)
#define OleDbgOutRect4(lpsz,lpRect)
#endif  
STDAPI_(STDEXPORT int) SetDCToAnisotropic(HDC hDC, LPRECT lprcPhysical, LPRECT lprcLogical, LPRECT lprcWindowOld, LPRECT lprcViewportOld);
STDAPI_(STDEXPORT int) SetDCToDrawInHimetricRect(HDC, LPRECT, LPRECT, LPRECT, LPRECT);
STDAPI_(STDEXPORT int) ResetOrigDC(HDC, int, LPRECT, LPRECT);
STDAPI_(STDEXPORT void) XformRectInPixelsToHimetric(HDC, LPRECT, LPRECT);
STDAPI_(STDEXPORT void) XformRectInHimetricToPixels(HDC, LPRECT, LPRECT);
STDAPI_(STDEXPORT void) XformSizeInPixelsToHimetric(HDC, LPSIZEL, LPSIZEL);
STDAPI_(STDEXPORT void) XformSizeInHimetricToPixels(HDC, LPSIZEL, LPSIZEL);
STDAPI_(STDEXPORT int)  XformWidthInHimetricToPixels(HDC, int);
STDAPI_(STDEXPORT int)  XformWidthInPixelsToHimetric(HDC, int);
STDAPI_(STDEXPORT int)  XformHeightInHimetricToPixels(HDC, int);
STDAPI_(STDEXPORT int)  XformHeightInPixelsToHimetric(HDC, int);
STDAPI_(STDEXPORT void) ParseCmdLine(LPSTR, BOOL FAR *, LPSTR);
STDAPI_(STDEXPORT BOOL) OleStdIsOleLink(LPUNKNOWN lpUnk);
STDAPI_(STDEXPORT LPUNKNOWN) OleStdQueryInterface(LPUNKNOWN lpUnk, REFIID riid);
STDAPI_(STDEXPORT LPSTORAGE) OleStdCreateRootStorage(LPASWOLESTR lpszStgName, DWORD grfMode);
STDAPI_(STDEXPORT LPSTORAGE) OleStdOpenRootStorage(LPASWOLESTR lpszStgName, DWORD grfMode);
STDAPI_(STDEXPORT LPSTORAGE) OleStdOpenOrCreateRootStorage(LPASWOLESTR lpszStgName, DWORD grfMode);
STDAPI_(STDEXPORT LPSTORAGE) OleStdCreateChildStorage(LPSTORAGE lpStg, LPASWOLESTR lpszStgName);
STDAPI_(STDEXPORT LPSTORAGE) OleStdOpenChildStorage(LPSTORAGE lpStg, LPASWOLESTR lpszStgName, DWORD grfMode);
STDAPI_(STDEXPORT BOOL) OleStdCommitStorage(LPSTORAGE lpStg);
STDEXPORT_STDAPI OleStdDestroyAllElements(LPSTORAGE lpStg);
STDAPI_(STDEXPORT LPSTORAGE) OleStdCreateStorageOnHGlobal(
      HANDLE hGlobal,
      BOOL fDeleteOnRelease,
      DWORD dwgrfMode
);
STDAPI_(STDEXPORT LPSTORAGE) OleStdCreateTempStorage(BOOL fUseMemory, DWORD grfMode);
STDEXPORT_STDAPI OleStdDoConvert(LPSTORAGE lpStg, REFCLSID rClsidNew);
STDAPI_(STDEXPORT BOOL) OleStdGetTreatAsFmtUserType(
      REFCLSID        rClsidApp,
      LPSTORAGE       lpStg,
      CLSID FAR*      lpclsid,
      CLIPFORMAT FAR* lpcfFmt,
      LPASWOLESTR FAR*      lplpszType
);
STDEXPORT_STDAPI OleStdDoTreatAsClass(LPASWOLESTR lpszUserType, REFCLSID rclsid, REFCLSID rclsidNew);
STDAPI_(STDEXPORT BOOL) OleStdSetupAdvises(LPOLEOBJECT lpOleObject, DWORD dwDrawAspect,
               LPASWOLESTR lpszContainerApp, LPASWOLESTR lpszContainerObj,
               LPADVISESINK lpAdviseSink, BOOL fCreate);
STDEXPORT_STDAPI OleStdSwitchDisplayAspect(
      LPOLEOBJECT             lpOleObj,
      LPDWORD                 lpdwCurAspect,
      DWORD                   dwNewAspect,
      HGLOBAL                 hMetaPict,
      BOOL                    fDeleteOldAspect,
      BOOL                    fSetupViewAdvise,
      LPADVISESINK            lpAdviseSink,
      BOOL FAR*               lpfMustUpdate
);
STDEXPORT_STDAPI OleStdSetIconInCache(LPOLEOBJECT lpOleObj, HGLOBAL hMetaPict);
STDAPI_(STDEXPORT HGLOBAL) OleStdGetData(
      LPDATAOBJECT        lpDataObj,
      CLIPFORMAT          cfFormat,
      DVTARGETDEVICE FAR* lpTargetDevice,
      DWORD               dwAspect,
      LPSTGMEDIUM         lpMedium
);
STDAPI_(STDEXPORT void) OleStdMarkPasteEntryList(
      LPDATAOBJECT        lpSrcDataObj,
      LPOLEUIPASTEENTRY   lpPriorityList,
      int                 cEntries
);
STDAPI_(STDEXPORT int) OleStdGetPriorityClipboardFormat(
      LPDATAOBJECT        lpSrcDataObj,
      LPOLEUIPASTEENTRY   lpPriorityList,
      int                 cEntries
);
STDAPI_(STDEXPORT BOOL) OleStdIsDuplicateFormat(
      LPFORMATETC         lpFmtEtc,
      LPFORMATETC         arrFmtEtc,
      int                 nFmtEtc
);
STDAPI_(STDEXPORT void) OleStdRegisterAsRunning(LPUNKNOWN lpUnk, LPMONIKER lpmkFull, DWORD FAR* lpdwRegister);
STDAPI_(STDEXPORT void) OleStdRevokeAsRunning(DWORD FAR* lpdwRegister);
STDAPI_(STDEXPORT void) OleStdNoteFileChangeTime(LPASWOLESTR lpszFileName, DWORD dwRegister);
STDAPI_(STDEXPORT void) OleStdNoteObjectChangeTime(DWORD dwRegister);
STDEXPORT_STDAPI OleStdGetOleObjectData(
      LPPERSISTSTORAGE    lpPStg,
      LPFORMATETC         lpformatetc,
      LPSTGMEDIUM         lpMedium,
      BOOL                fUseMemory
);
STDEXPORT_STDAPI OleStdGetLinkSourceData(
      LPMONIKER           lpmk,
      LPCLSID             lpClsID,
      LPFORMATETC         lpformatetc,
      LPSTGMEDIUM         lpMedium
);
STDAPI_(STDEXPORT HGLOBAL) OleStdGetObjectDescriptorData(
      CLSID               clsid,
      DWORD               dwAspect,
      SIZEL               sizel,
      POINTL              pointl,
      DWORD               dwStatus,
      LPASWOLESTR            lpszFullUserTypeName,
      LPASWOLESTR            lpszSrcOfCopy
);
STDAPI_(STDEXPORT HGLOBAL) OleStdGetObjectDescriptorDataFromOleObject(
      LPOLEOBJECT         lpOleObj,
      LPASWOLESTR            lpszSrcOfCopy,
      DWORD               dwAspect,
      POINTL              pointl,
      LPSIZEL             lpSizelHim
);
STDAPI_(STDEXPORT HGLOBAL) OleStdFillObjectDescriptorFromData(
      LPDATAOBJECT       lpDataObject,
      LPSTGMEDIUM        lpmedium,
      CLIPFORMAT FAR*    lpcfFmt
);
STDAPI_(STDEXPORT HANDLE) OleStdGetMetafilePictFromOleObject(
      LPOLEOBJECT         lpOleObj,
      DWORD               dwDrawAspect,
      LPSIZEL             lpSizelHim,
      DVTARGETDEVICE FAR* ptd
);
STDAPI_(STDEXPORT void) OleStdCreateTempFileMoniker(LPASWOLESTR lpszPrefixString, UINT FAR* lpuUnique, LPASWOLESTR lpszName, LPMONIKER FAR* lplpmk);
STDAPI_(STDEXPORT LPMONIKER) OleStdGetFirstMoniker(LPMONIKER lpmk);
STDAPI_(STDEXPORT ULONG) OleStdGetLenFilePrefixOfMoniker(LPMONIKER lpmk);
STDEXPORT_STDAPI OleStdMkParseDisplayName(
      REFCLSID        rClsid,
      LPBC            lpbc,
      LPASWOLESTR        lpszUserName,
      ULONG FAR*      lpchEaten,
      LPMONIKER FAR*  lplpmk
);
STDAPI_(STDEXPORT LPVOID) OleStdMalloc(ULONG ulSize);
STDAPI_(STDEXPORT LPVOID) OleStdRealloc(LPVOID pmem, ULONG ulSize);
STDAPI_(STDEXPORT void) OleStdFree(LPVOID pmem);
STDAPI_(STDEXPORT ULONG) OleStdGetSize(LPVOID pmem);
STDAPI_(STDEXPORT void) OleStdFreeString(LPASWOLESTR lpsz, LPMALLOC lpMalloc);
STDAPI_(STDEXPORT LPASWOLESTR) OleStdCopyString(LPASWOLESTR lpszSrc, LPMALLOC lpMalloc);
STDAPI_(STDEXPORT ULONG) OleStdGetItemToken(LPASWOLESTR lpszSrc, LPASWOLESTR lpszDst,int nMaxChars);
STDAPI_(STDEXPORT UINT)     OleStdIconLabelTextOut(HDC        hDC,
                               HFONT      hFont,
                               int        nXStart,
                               int        nYStart,
                               UINT       fuOptions,
                               RECT FAR * lpRect,
                               LPASWOLESTR   lpszString,
                               UINT       cchString,
                               int FAR *  lpDX);
STDAPI_(STDEXPORT UINT)     OleStdGetAuxUserType(REFCLSID rclsid,
                             WORD   wAuxUserType,
                             LPASWOLESTR  lpszAuxUserType,
                             int    cch,
                             HKEY   hKey);
STDAPI_(STDEXPORT UINT)     OleStdGetUserTypeOfClass(REFCLSID rclsid,
                                 LPASWOLESTR lpszUserType,
                                 UINT cch,
                                 HKEY hKey);
STDAPI_(STDEXPORT BOOL) OleStdGetMiscStatusOfClass(REFCLSID, HKEY, DWORD FAR *);
STDAPI_(STDEXPORT CLIPFORMAT) OleStdGetDefaultFileFormatOfClass(
      REFCLSID        rclsid,
      HKEY            hKey
);
STDAPI_(STDEXPORT void) OleStdInitVtbl(LPVOID lpVtbl, UINT nSizeOfVtbl);
STDEXPORT STDMETHODIMP OleStdNullMethod(LPUNKNOWN lpThis);
typedef HRESULT (STDMETHODCALLTYPE *LPFNOLESTDNULLMETHOD)(LPUNKNOWN);
STDAPI_(STDEXPORT BOOL) OleStdCheckVtbl(LPVOID lpVtbl, UINT nSizeOfVtbl, LPASWOLESTR lpszIface);
STDAPI_(STDEXPORT ULONG) OleStdVerifyRelease(LPUNKNOWN lpUnk, LPASWOLESTR lpszMsg);
STDAPI_(STDEXPORT ULONG) OleStdRelease(LPUNKNOWN lpUnk);
STDAPI_(STDEXPORT HDC) OleStdCreateDC(DVTARGETDEVICE FAR* ptd);
STDAPI_(STDEXPORT HDC) OleStdCreateIC(DVTARGETDEVICE FAR* ptd);
STDAPI_(STDEXPORT DVTARGETDEVICE FAR*) OleStdCreateTargetDevice(LPPRINTDLG lpPrintDlg);
STDAPI_(STDEXPORT BOOL) OleStdDeleteTargetDevice(DVTARGETDEVICE FAR* ptd);
STDAPI_(STDEXPORT DVTARGETDEVICE FAR*) OleStdCopyTargetDevice(DVTARGETDEVICE FAR* ptdSrc);
STDAPI_(STDEXPORT BOOL) OleStdCopyFormatEtc(LPFORMATETC petcDest, LPFORMATETC petcSrc);
STDAPI_(STDEXPORT int) OleStdCompareFormatEtc(FORMATETC FAR* pFetcLeft, FORMATETC FAR* pFetcRight);
STDAPI_(STDEXPORT BOOL) OleStdCompareTargetDevice
   (DVTARGETDEVICE FAR* ptdLeft, DVTARGETDEVICE FAR* ptdRight);
STDAPI_(STDEXPORT void) OleDbgPrint(
      int     nDbgLvl,
      LPSTR   lpszPrefix,
      LPSTR   lpszMsg,
      int     nIndent
);
STDAPI_(STDEXPORT void) OleDbgPrintAlways(LPSTR lpszPrefix, LPSTR lpszMsg, int nIndent);
STDAPI_(STDEXPORT void) OleDbgSetDbgLevel(int nDbgLvl);
STDAPI_(STDEXPORT int) OleDbgGetDbgLevel( void );
STDAPI_(STDEXPORT void) OleDbgIndent(int n);
STDAPI_(STDEXPORT void) OleDbgPrintRefCnt(
      int         nDbgLvl,
      LPSTR       lpszPrefix,
      LPSTR       lpszMsg,
      LPVOID      lpObj,
      ULONG       refcnt
);
STDAPI_(STDEXPORT void) OleDbgPrintRefCntAlways(
      LPSTR       lpszPrefix,
      LPSTR       lpszMsg,
      LPVOID      lpObj,
      ULONG       refcnt
);
STDAPI_(STDEXPORT void) OleDbgPrintRect(
      int         nDbgLvl,
      LPSTR       lpszPrefix,
      LPSTR       lpszMsg,
      LPRECT      lpRect
);
STDAPI_(STDEXPORT void) OleDbgPrintRectAlways(
      LPSTR       lpszPrefix,
      LPSTR       lpszMsg,
      LPRECT      lpRect
);
STDAPI_(STDEXPORT void) OleDbgPrintScodeAlways(LPSTR lpszPrefix, LPSTR lpszMsg, SCODE sc);
#if defined (_DEBUG)
EXTERN_C STDEXPORT HRESULT STDAPICALLTYPE OleStdCreateDbAlloc(ULONG reserved, 
                                                    IMalloc FAR* FAR* ppmalloc);
#if defined(WIN32) 
EXTERN_C STDEXPORT HRESULT STDAPICALLTYPE OleStdCreateDbIMallocSpy(ULONG reserved, 
                                              IMallocSpy FAR* FAR* ppmallocspy);
#endif 
#endif 
STDAPI_(STDEXPORT LPENUMFORMATETC)
  OleStdEnumFmtEtc_Create(ULONG nCount, LPFORMATETC lpEtc);
STDAPI_(STDEXPORT LPENUMSTATDATA)
  OleStdEnumStatData_Create(ULONG nCount, LPSTATDATA lpStat);
STDAPI_(STDEXPORT BOOL)
  OleStdCopyStatData(LPSTATDATA pDest, LPSTATDATA pSrc);
STDAPI_(STDEXPORT HPALETTE)
  OleStdCreateStandardPalette(void);
#if defined( OBSOLETE )
STDAPI_(STDEXPORT BOOL) AreRectsEqual(LPRECT lprc1, LPRECT lprc2);
STDAPI_(STDEXPORT BOOL) OleStdCopyMetafilePict(HANDLE hpictin, HANDLE FAR* phpictout);
STDEXPORT_STDAPI OleStdQueryOleObjectData(LPFORMATETC lpformatetc);
STDEXPORT_STDAPI OleStdQueryLinkSourceData(LPFORMATETC lpformatetc);
STDEXPORT_STDAPI OleStdQueryObjectDescriptorData(LPFORMATETC lpformatetc);
STDEXPORT_STDAPI OleStdQueryFormatMedium(LPFORMATETC lpformatetc, TYMED tymed);
STDAPI_(STDEXPORT DWORD) OleStdGetDropEffect ( DWORD grfKeyState );
#endif  
#include <aspop.h>   
#endif 
