 LanguageNames=(English=1:MSG00001)
  FILE NAME: cppooc3u.txt

  DESCRIPTION:
    This file contains MRI used for constructing exceptions thrown by the
    User Interface class library.  This file is used as input to the MSGMKF
    utility to build a file named cppooc3u.msg.  When an exception is thrown
    to signal an error, the associated text is loaded from this file and
    logged in a manner specified by the user of the library or of the application.
    Code page 850 is specified to MSGMKF when the message file is built.  The
    command used to build the message file is:
    MKMSGF cppooc3u.txt cppooc3u.msg /P850

 COPYRIGHT:
   IBM Open Class Library
   (C) Copyright International Business Machines Corporation 1992, 1995
   Licensed Material - Program-Property of IBM - All Rights Reserved.
   US Government Users Restricted Rights - Use, duplication, or disclosure
   restricted by GSA ADP Schedule Contract with IBM Corp.

  Note to translators:
  %1 and %2 indicate substitution tags and should not be translated.
  Additionally, the following should not be translated:
  - library function names
    These are followed by (), such as begin() and beginHotLink().
  - PM APIs and constants
    Examples are WinDdePostMsg, WM_DDE_ACK, and WM_DDE_DATA.

//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


// MessageId: 0x00000001L (No symbolic name defined)
//  The following expression must be true, but it evaluated to false: %1.


// MessageId: 0x00000002L (No symbolic name defined)
//  An attempt was made to call an unsupported function through a base class pointer.


// MessageId: 0x00000003L (No symbolic name defined)
//  An unexpected error has occurred.


// MessageId: 0x00000004L (No symbolic name defined)
//  Out of memory; unable to allocate memory.


// MessageId: 0x00000005L (No symbolic name defined)
//  An attempt was made to destroy a window object from within a handler that was handling an event for the same window.


// MessageId: 0x00000006L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000007L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000008L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000009L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000000AL (No symbolic name defined)
//  This operating system does not support this function.


// MessageId: 0x0000000BL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000000CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000000DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000000EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000000FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000010L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000011L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000012L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000013L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000014L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000015L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000016L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000017L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000018L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000019L (No symbolic name defined)
//  An invalid DBCS string was specified.


// MessageId: 0x0000001AL (No symbolic name defined)
//  An error occurred while converting an MBCS string to a wide character string.


// MessageId: 0x0000001BL (No symbolic name defined)
//  A protected function of a class was called; it can produce unpredictable results.


// MessageId: 0x0000001CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000001DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000001EL (No symbolic name defined)
//  The presentation space could not be released.


// MessageId: 0x0000001FL (No symbolic name defined)
//  The keyboard event does not contain a valid character code.


// MessageId: 0x00000020L (No symbolic name defined)
//  The keyboard event does not contain a valid scan code.


// MessageId: 0x00000021L (No symbolic name defined)
//  The keyboard event does not contain a valid virtual key.


// MessageId: 0x00000022L (No symbolic name defined)
//  The presentation parameter value was not found.


// MessageId: 0x00000023L (No symbolic name defined)
//  The specified color index is not valid.


// MessageId: 0x00000024L (No symbolic name defined)
//  The event is not valid for this function.


// MessageId: 0x00000025L (No symbolic name defined)
//  The keyboard event contains a double-byte character, which is not valid for this function.


// MessageId: 0x00000026L (No symbolic name defined)
//  A scan code cannot be returned for double-byte character input.


// MessageId: 0x00000027L (No symbolic name defined)
//  The specified enumerator value is not valid.


// MessageId: 0x00000028L (No symbolic name defined)
//  There is no marked text to copy, cut, clear, or delete.


// MessageId: 0x00000029L (No symbolic name defined)
//  There is no data in the clipboard for pasting.


// MessageId: 0x0000002AL (No symbolic name defined)
//  The request to remove the handler failed because the handler could not be found.


// MessageId: 0x0000002BL (No symbolic name defined)
//  The combination of styles is not valid because a contradiction is specified.


// MessageId: 0x0000002CL (No symbolic name defined)
//  The function could not be executed because the specified size is too small to contain the text.


// MessageId: 0x0000002DL (No symbolic name defined)
//  The specified frame extension control was not found.


// MessageId: 0x0000002EL (No symbolic name defined)
//  The specified thread ID is not valid.


// MessageId: 0x0000002FL (No symbolic name defined)
//  start() is not valid because the specified thread is already started.


// MessageId: 0x00000030L (No symbolic name defined)
//  An invalid request was made to suspend a PM thread.


// MessageId: 0x00000031L (No symbolic name defined)
//  Unable to acquire a semaphore to satisfy the setLock() request.


// MessageId: 0x00000032L (No symbolic name defined)
//  More than one view window was specified for the view port to scroll.


// MessageId: 0x00000033L (No symbolic name defined)
//  Attempt to allocate an IString that is too big.


// MessageId: 0x00000034L (No symbolic name defined)
//  An attempt was made to index beyond the end of a const IString.


// MessageId: 0x00000035L (No symbolic name defined)
//  objectCopy() was requested when the object does not support copy.


// MessageId: 0x00000036L (No symbolic name defined)
//  Object construction failed; you must use operator new.


// MessageId: 0x00000037L (No symbolic name defined)
//  A control cannot overlap a cell already containing a control.


// MessageId: 0x00000038L (No symbolic name defined)
//  The window dispatcher found a handler that was invalid. The handler must be removed before deletion.


// MessageId: 0x00000039L (No symbolic name defined)
//  The function could not be executed because the imported text exceeds the text limit.


// MessageId: 0x0000003AL (No symbolic name defined)
//  An attempt was made to dereference a null IReference.


// MessageId: 0x0000003BL (No symbolic name defined)
//  Unable to create %1 widget.


// MessageId: 0x0000003CL (No symbolic name defined)
//  Unable to initialize XmString context.


// MessageId: 0x0000003DL (No symbolic name defined)
//  The handle of the window is not valid.


// MessageId: 0x0000003EL (No symbolic name defined)
//  startHandlingEvents() failed because no window exists with the specified ID.


// MessageId: 0x0000003FL (No symbolic name defined)
//  The parent of the specified object is not an IWindow.


// MessageId: 0x00000040L (No symbolic name defined)
//  Could not find this control using %1 .


// MessageId: 0x00000041L (No symbolic name defined)
//  The control to be used is not of type %1 .


// MessageId: 0x00000042L (No symbolic name defined)
//  An attempt was made to allocate a keyed thread variable beyond the library's limit.


// MessageId: 0x00000043L (No symbolic name defined)
//  The function is not valid for bitmap fonts.


// MessageId: 0x00000044L (No symbolic name defined)
//  You are attempting to use operator new for more objects than the allocator supports.


// MessageId: 0x00000045L (No symbolic name defined)
//  Allocator construction failed; you cannot construct an allocator from 0 items.


// MessageId: 0x00000046L (No symbolic name defined)
//  An attempt was made to clear the title text.  A null title is not allowed.


// MessageId: 0x00000047L (No symbolic name defined)
//  The thread cannot be started; Win32s does not support multiple threads.


// MessageId: 0x00000048L (No symbolic name defined)
//  Constructing an object of this class is not supported on the Win32s platform.


// MessageId: 0x00000049L (No symbolic name defined)
//  This member function is not supported on the Win32s platform.


// MessageId: 0x0000004AL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000004BL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000004CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000004DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000004EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000004FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000050L (No symbolic name defined)
//  A user interface help window error occurred.


// MessageId: 0x00000051L (No symbolic name defined)
//  An error occurred loading the dynamic link library containing help information.


// MessageId: 0x00000052L (No symbolic name defined)
//  No help window is associated with the application window.


// MessageId: 0x00000053L (No symbolic name defined)
//  The application window associated with the help window is not valid.


// MessageId: 0x00000054L (No symbolic name defined)
//  The help window associated with the application window is not valid.


// MessageId: 0x00000055L (No symbolic name defined)
//  The application window used to query the help window is not valid.


// MessageId: 0x00000056L (No symbolic name defined)
//  Context-sensitive help is not available.


// MessageId: 0x00000057L (No symbolic name defined)
//  The handle specified for a help window is not valid.


// MessageId: 0x00000058L (No symbolic name defined)
//  Context-sensitive help is not available for this item.


// MessageId: 0x00000059L (No symbolic name defined)
//  The help index could not be found.


// MessageId: 0x0000005AL (No symbolic name defined)
//  No information is contained in the help library.


// MessageId: 0x0000005BL (No symbolic name defined)
//  The help library cannot be opened.


// MessageId: 0x0000005CL (No symbolic name defined)
//  The help library cannot be read.


// MessageId: 0x0000005DL (No symbolic name defined)
//  The help library cannot be closed.


// MessageId: 0x0000005EL (No symbolic name defined)
//  The contents of the help library are not formatted correctly.


// MessageId: 0x0000005FL (No symbolic name defined)
//  Insufficient memory is available for help processing.


// MessageId: 0x00000060L (No symbolic name defined)
//  Memory could not be freed.


// MessageId: 0x00000061L (No symbolic name defined)
//  The requested help panel could not be found.


// MessageId: 0x00000062L (No symbolic name defined)
//  An internal error occurred during the processing of the help request.


// MessageId: 0x00000063L (No symbolic name defined)
//  An error occurred during the processing of the help request.


// MessageId: 0x00000064L (No symbolic name defined)
//  This thread is not processing events.


// MessageId: 0x00000065L (No symbolic name defined)
//  This frame extension is already in use.


// MessageId: 0x00000066L (No symbolic name defined)
//  The help window could not load or initialize the font set.


// MessageId: 0x00000067L (No symbolic name defined)
//  The system could not load the font or process the font description.


// MessageId: 0x00000068L (No symbolic name defined)
//  The notebook page does not have a status line for displaying status text.


// MessageId: 0x00000069L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000006AL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000006BL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000006CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000006DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000006EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000006FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000070L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000071L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000072L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000073L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000074L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000075L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000076L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000077L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000078L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000079L (No symbolic name defined)
//  beginConversation() is not valid; a conversation with this client (window) is already active.


// MessageId: 0x0000007AL (No symbolic name defined)
//  %1 is not valid; there is no active conversation.


// MessageId: 0x0000007BL (No symbolic name defined)
//  endConversation() is not valid; there is no active conversation with this ID.


// MessageId: 0x0000007CL (No symbolic name defined)
//  WinDdeInitiate failed; unable to begin conversation.


// MessageId: 0x0000007DL (No symbolic name defined)
//  %1 failed; unable to complete the requested transaction: %2.


// MessageId: 0x0000007EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000007FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000080L (No symbolic name defined)
//  beginHotLink() is not valid; a hot link for this item and format is already active.


// MessageId: 0x00000081L (No symbolic name defined)
//  beginHotLink() is not valid; a beginHotLink() request for this item and format is pending.


// MessageId: 0x00000082L (No symbolic name defined)
//  %1 is not valid; there is no active hot link for this item and format.


// MessageId: 0x00000083L (No symbolic name defined)
//  endHotLinks() is not valid; there are no active hot links.


// MessageId: 0x00000084L (No symbolic name defined)
//  endHotLinks() is not valid; there are no active hot links for this item.


// MessageId: 0x00000085L (No symbolic name defined)
//  endHotLink() is not valid; an endHotLink() or endHotLInks() request for this item and format is pending.


// MessageId: 0x00000086L (No symbolic name defined)
//  endHotLinks() is not valid; an endHotLinks() request for this item is pending.


// MessageId: 0x00000087L (No symbolic name defined)
//  endHotLinks() is not valid; an endHotLinks() request for all hot links is pending.


// MessageId: 0x00000088L (No symbolic name defined)
//  dispatchHandlerEvent() was called recursively, possibly violating DDE synchronization rules.


// MessageId: 0x00000089L (No symbolic name defined)
//  The rectangle size is too small to accommodate the requested tick spacing.


// MessageId: 0x0000008AL (No symbolic name defined)
//  The number function could not be executed because the object contains text values.


// MessageId: 0x0000008BL (No symbolic name defined)
//  The text function could not be executed because the object contains numbers.


// MessageId: 0x0000008CL (No symbolic name defined)
//  The list of text items cannot be added to the spin control.


// MessageId: 0x0000008DL (No symbolic name defined)
//  The request to update the menu item failed.


// MessageId: 0x0000008EL (No symbolic name defined)
//  The menu item ID is invalid.


// MessageId: 0x0000008FL (No symbolic name defined)
//  The window does not have a system menu.


// MessageId: 0x00000090L (No symbolic name defined)
//  The frame window does not have a menu bar.


// MessageId: 0x00000091L (No symbolic name defined)
//  The bitmap menu item requires a bitmap handle.


// MessageId: 0x00000092L (No symbolic name defined)
//  The value specified is not in the current spin button range.


// MessageId: 0x00000093L (No symbolic name defined)
//  No menu item is selected.


// MessageId: 0x00000094L (No symbolic name defined)
//  Cannot add a submenu because one already exists for the menu item.


// MessageId: 0x00000095L (No symbolic name defined)
//  Cannot create an ITitleBar object unless the owning IFrameWindow has a titleBar style.


// MessageId: 0x00000096L (No symbolic name defined)
//  An error occurred while attempting to set the ISlider control data.


// MessageId: 0x00000097L (No symbolic name defined)
//  An error occurred while attempting to obtain the ISlider control data.


// MessageId: 0x00000098L (No symbolic name defined)
//  The specified menu item has no submenu associated with it.


// MessageId: 0x00000099L (No symbolic name defined)
//  sizeTo() or moveTo() is invalid for IHelpWindow when the cover page is not visible.


// MessageId: 0x0000009AL (No symbolic name defined)
//  There is no item at index %1.


// MessageId: 0x0000009BL (No symbolic name defined)
//  The rendering format is unknown.


// MessageId: 0x0000009CL (No symbolic name defined)
//  The rendering mechanism is unknown.


// MessageId: 0x0000009DL (No symbolic name defined)
//  Use rfProcess for the same process.


// MessageId: 0x0000009EL (No symbolic name defined)
//  Rendering at the source failed.


// MessageId: 0x0000009FL (No symbolic name defined)
//  The DRAGTRANSFER structure is invalid.


// MessageId: 0x000000A0L (No symbolic name defined)
//  No source object was supplied.


// MessageId: 0x000000A1L (No symbolic name defined)
//  The index supplied is out of range.


// MessageId: 0x000000A2L (No symbolic name defined)
//  The provideTargetItemFor function failed.


// MessageId: 0x000000A3L (No symbolic name defined)
//  The DRAGITEM structure is invalid.


// MessageId: 0x000000A4L (No symbolic name defined)
//  The clipboard is locked by another application.


// MessageId: 0x000000A5L (No symbolic name defined)
//  The clipboard data returned is truncated due to insufficient buffer size.


// MessageId: 0x000000A6L (No symbolic name defined)
//  A valid shell widget does not exist for this frame window control.


// MessageId: 0x000000A7L (No symbolic name defined)
//  A slider's primary scale requires a minimum of two ticks.


// MessageId: 0x000000A8L (No symbolic name defined)
//  The tick number supplied is invalid.


// MessageId: 0x000000A9L (No symbolic name defined)
//  The pixel supplied is invalid.


// MessageId: 0x000000AAL (No symbolic name defined)
//  The application initialization failed.


// MessageId: 0x000000ABL (No symbolic name defined)
//  The modifier state for the left and right key do not match.


// MessageId: 0x000000ACL (No symbolic name defined)
//  The specified timer ID is not valid.


// MessageId: 0x000000ADL (No symbolic name defined)
//  start() is not valid because the specified timer is already started.


// MessageId: 0x000000AEL (No symbolic name defined)
//  Unable to allocate a new timer ID.


// MessageId: 0x000000AFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000B0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000B1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000B2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000B3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000B4L (No symbolic name defined)
//  Expected a window class of %1.


// MessageId: 0x000000B5L (No symbolic name defined)
//  The visible count cannot be greater than the scroll bar range.


// MessageId: 0x000000B6L (No symbolic name defined)
//  Could not find the widget name to convert to a widget.


// MessageId: 0x000000B7L (No symbolic name defined)
//  No match was found for the specified search string.


// MessageId: 0x000000B8L (No symbolic name defined)
//  The list box is empty.


// MessageId: 0x000000B9L (No symbolic name defined)
//  A GUI exception condition was detected.


// MessageId: 0x000000BAL (No symbolic name defined)
//  A system exception condition was detected.


// MessageId: 0x000000BBL (No symbolic name defined)
//  The combination box text cannot be set because no item matches the text.


// MessageId: 0x000000BCL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000BDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000BEL (No symbolic name defined)
//  An INumericSpinButton cannot be constructed from a text PM spin button.


// MessageId: 0x000000BFL (No symbolic name defined)
//  An ITextSpinButton cannot be constructed from a numeric PM spin button.


// MessageId: 0x000000C0L (No symbolic name defined)
//  The specifed text does not match any of the values in the spin button text array.


// MessageId: 0x000000C1L (No symbolic name defined)
//  The list box contains no selected items.


// MessageId: 0x000000C2L (No symbolic name defined)
//  The list box type is single select.


// MessageId: 0x000000C3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000C4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000C5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000C6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000C7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000C8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000C9L (No symbolic name defined)
//  Abort


// MessageId: 0x000000CAL (No symbolic name defined)
//  Retry


// MessageId: 0x000000CBL (No symbolic name defined)
//  Ignore


// MessageId: 0x000000CCL (No symbolic name defined)
//  Enter


// MessageId: 0x000000CDL (No symbolic name defined)
//  Help


// MessageId: 0x000000CEL (No symbolic name defined)
//  Apply


// MessageId: 0x000000CFL (No symbolic name defined)
//  Reset


// MessageId: 0x000000D0L (No symbolic name defined)
//  OK


// MessageId: 0x000000D1L (No symbolic name defined)
//  Cancel


// MessageId: 0x000000D2L (No symbolic name defined)
//  The picture string has an unrecognized picture character.


// MessageId: 0x000000D3L (No symbolic name defined)
//  The picture string has unmatched quotes.


// MessageId: 0x000000D4L (No symbolic name defined)
//  The picture string has an invalid range.


// MessageId: 0x000000D5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000D6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000D7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000D8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000D9L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000DAL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000DBL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000DCL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000DDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000DEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000DFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000E9L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000EAL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000EBL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000ECL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000EDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000EEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000EFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000000F9L (No symbolic name defined)
//  Filter


// MessageId: 0x000000FAL (No symbolic name defined)
//  Could not map the point to another IWindowHandle.


// MessageId: 0x000000FBL (No symbolic name defined)
//  Yes


// MessageId: 0x000000FCL (No symbolic name defined)
//  No


// MessageId: 0x000000FDL (No symbolic name defined)
//  Description


// MessageId: 0x000000FEL (No symbolic name defined)
//  Point size


// MessageId: 0x000000FFL (No symbolic name defined)
//  The data is not available in the specified format.


// MessageId: 0x00000100L (No symbolic name defined)
//  Registration of the specified format failed.


// MessageId: 0x00000101L (No symbolic name defined)
//  The requested format was not found.


// MessageId: 0x00000102L (No symbolic name defined)
//  An unknown error occurred.


// MessageId: 0x00000103L (No symbolic name defined)
//  An error occurred while attempting to open a file.


// MessageId: 0x00000104L (No symbolic name defined)
//  An error occurred while attempting to create a file.


// MessageId: 0x00000105L (No symbolic name defined)
//  The file format does not support this bits-per-pixel.


// MessageId: 0x00000106L (No symbolic name defined)
//  Could not create device context resource.


// MessageId: 0x00000107L (No symbolic name defined)
//  Could not create presentation space resource.


// MessageId: 0x00000108L (No symbolic name defined)
//  Could not create metafile resource.


// MessageId: 0x00000109L (No symbolic name defined)
//  Could not create bitmap resource.


// MessageId: 0x0000010AL (No symbolic name defined)
//  Coordinates need to be clipped.


// MessageId: 0x0000010BL (No symbolic name defined)
//  This format is not supported.


// MessageId: 0x0000010CL (No symbolic name defined)
//  Invalid option.


// MessageId: 0x0000010DL (No symbolic name defined)
//  This file type is not supported.


// MessageId: 0x0000010EL (No symbolic name defined)
//  An invalid magic number or signature block was specified.


// MessageId: 0x0000010FL (No symbolic name defined)
//  An invalid bitmap size was specified.


// MessageId: 0x00000110L (No symbolic name defined)
//  An error occurred while attempting to read a file.


// MessageId: 0x00000111L (No symbolic name defined)
//  An error occurred while attempting to write to a file.


// MessageId: 0x00000112L (No symbolic name defined)
//  Number of bitmap planes is not 1.


// MessageId: 0x00000113L (No symbolic name defined)
//  Bit count is not 1, 4, 8, or 24.


// MessageId: 0x00000114L (No symbolic name defined)
//  cbFix has an invalid value.


// MessageId: 0x00000115L (No symbolic name defined)
//  The compression type is not RLE4 or RLE8.


// MessageId: 0x00000116L (No symbolic name defined)
//  There were fewer bitmaps in the file than the specified index.


// MessageId: 0x00000117L (No symbolic name defined)
//  Incorrect bits-per-pixel were specified.


// MessageId: 0x00000118L (No symbolic name defined)
//  The terminator was found before the requested image descriptor.


// MessageId: 0x00000119L (No symbolic name defined)
//  The code size is not in the range 2 to 9.


// MessageId: 0x0000011AL (No symbolic name defined)
//  The encoded data is corrupt.


// MessageId: 0x0000011BL (No symbolic name defined)
//  The file length is not a multiple of its width.


// MessageId: 0x0000011CL (No symbolic name defined)
//  An error occurred while attempting to open the complementary palette file.


// MessageId: 0x0000011DL (No symbolic name defined)
//  An error occurred while attempting to create the complementary palette file.


// MessageId: 0x0000011EL (No symbolic name defined)
//  There is no FORM signature.


// MessageId: 0x0000011FL (No symbolic name defined)
//  There is no ILBM signature.


// MessageId: 0x00000120L (No symbolic name defined)
//  There are multiple BMHD bitmap headers.


// MessageId: 0x00000121L (No symbolic name defined)
//  There is no BMHD bitmap header.


// MessageId: 0x00000122L (No symbolic name defined)
//  An incorrect size of BMHD bitmap header was used.


// MessageId: 0x00000123L (No symbolic name defined)
//  Unsupported or invalid bits-per-pixel were used.


// MessageId: 0x00000124L (No symbolic name defined)
//  The CMAP color map is the wrong size.


// MessageId: 0x00000125L (No symbolic name defined)
//  The compression type is neither uncompressed nor RLE.


// MessageId: 0x00000126L (No symbolic name defined)
//  The CAMG chunk is the wrong size.


// MessageId: 0x00000127L (No symbolic name defined)
//  An unsupported version of SHAM (not 0) was used.


// MessageId: 0x00000128L (No symbolic name defined)
//  The version number needs to be 4 or 5.


// MessageId: 0x00000129L (No symbolic name defined)
//  The encoding mode is not 1.


// MessageId: 0x0000012AL (No symbolic name defined)
//  An unsupported bits-per-pixel/plane or plane combination was specified.


// MessageId: 0x0000012BL (No symbolic name defined)
//  The file trailer is corrupted.


// MessageId: 0x0000012CL (No symbolic name defined)
//  An incorrect maximum pixel intensity was used.


// MessageId: 0x0000012DL (No symbolic name defined)
//  A record in the PSEG file does not start with 0x5a.  Try the fixrec option.


// MessageId: 0x0000012EL (No symbolic name defined)
//  An invalid or unknown record exists in the PSEG file.


// MessageId: 0x0000012FL (No symbolic name defined)
//  A size record was not found before the raster data or image cell position records were.


// MessageId: 0x00000130L (No symbolic name defined)
//  The width must be a multiple of 8.


// MessageId: 0x00000131L (No symbolic name defined)
//  The default cell size must be a multiple of 8.


// MessageId: 0x00000132L (No symbolic name defined)
//  The cell size must be a multiple of 8.


// MessageId: 0x00000133L (No symbolic name defined)
//  The cell position must be a multiple of 8.


// MessageId: 0x00000134L (No symbolic name defined)
//  A record was found in an unexpected place.


// MessageId: 0x00000135L (No symbolic name defined)
//  A sprite has a first bit that is not a multiple of 8.


// MessageId: 0x00000136L (No symbolic name defined)
//  A sprite was defined in an unknown mode.


// MessageId: 0x00000137L (No symbolic name defined)
//  There were fewer sprites in the file than the index specified.


// MessageId: 0x00000138L (No symbolic name defined)
//  The 8-bit file does not have 0, 16, or 64 palette entries in it.


// MessageId: 0x00000139L (No symbolic name defined)
//  The bits-per-pixel are not 8, 16, 24 or 32.


// MessageId: 0x0000013AL (No symbolic name defined)
//  An unsupported compression type was specified for bits-per-pixel.


// MessageId: 0x0000013BL (No symbolic name defined)
//  The color map entry size is not 24 bits-per-pixel.


// MessageId: 0x0000013CL (No symbolic name defined)
//  The version number must be 42.


// MessageId: 0x0000013DL (No symbolic name defined)
//  Too many tags are in the file.


// MessageId: 0x0000013EL (No symbolic name defined)
//  An incorrect tag type was used.


// MessageId: 0x0000013FL (No symbolic name defined)
//  A header is corrupted.


// MessageId: 0x00000140L (No symbolic name defined)
//  The imageWidth, ImageLength, or StripOffsets tag is missing.


// MessageId: 0x00000141L (No symbolic name defined)
//  The SamplesPerPixel tag must be 1 for a bitmap or greyscale file.


// MessageId: 0x00000142L (No symbolic name defined)
//  The BitsPerSample tag must be 1, 4, or 8 for a bitmap or greyscale file.


// MessageId: 0x00000143L (No symbolic name defined)
//  The SamplesPerPixel tag must be 3 or more for a RGB file.


// MessageId: 0x00000144L (No symbolic name defined)
//  The BitsPerSample tag must be 8 for a RGB file.


// MessageId: 0x00000145L (No symbolic name defined)
//  The SamplesPerPixel tag must be 1 for a file that includes a palette.


// MessageId: 0x00000146L (No symbolic name defined)
//  The BitsPerSample tag must be 1, 4, or 8 for a file that includes a palette.


// MessageId: 0x00000147L (No symbolic name defined)
//  The SamplesPerPixel tag must be 4 for a CMYK file.


// MessageId: 0x00000148L (No symbolic name defined)
//  The BitsPerSample tag must be 8 for a CMYK file.


// MessageId: 0x00000149L (No symbolic name defined)
//  The Compression tag is CCITT 1D Modified Huffman, which is not supported.


// MessageId: 0x0000014AL (No symbolic name defined)
//  The Compression tag is CCITT T.4 G3 Facsimile, which is not supported.


// MessageId: 0x0000014BL (No symbolic name defined)
//  The Compression tag is CCITT T.6 G4 Facsimile, which is not supported.


// MessageId: 0x0000014CL (No symbolic name defined)
//  The Compression tag is not uncompressed, PackBits, or LZW, which is not supported.


// MessageId: 0x0000014DL (No symbolic name defined)
//  The ColorMap tag is missing.


// MessageId: 0x0000014EL (No symbolic name defined)
//  Encoded data is corrupted.


// MessageId: 0x0000014FL (No symbolic name defined)
//  The Predictor tag is invalid.


// MessageId: 0x00000150L (No symbolic name defined)
//  The PhotometricInterpretation tag is a transparency mask, which is not supported.


// MessageId: 0x00000151L (No symbolic name defined)
//  The PhotometricInterpretation tag is Y-Cb-Cr color space, which is not supported.


// MessageId: 0x00000152L (No symbolic name defined)
//  The PhotometricInterpretation tag is unsupported or incorrect.


// MessageId: 0x00000153L (No symbolic name defined)
//  The FillOrder tag must be 1.


// MessageId: 0x00000154L (No symbolic name defined)
//  The PlanarConfiguration tag must be 1 for non-RGB files.


// MessageId: 0x00000155L (No symbolic name defined)
//  The PlanarConfiguration tag must be 1 or 2 for RGB files.


// MessageId: 0x00000156L (No symbolic name defined)
//  The InkSet tag indicates non-CMYK color separations.


// MessageId: 0x00000157L (No symbolic name defined)
//  The Orientation tag must be 1 or 4.


// MessageId: 0x00000158L (No symbolic name defined)
//  There are fewer bitmaps in the file than the index specified.


// MessageId: 0x00000159L (No symbolic name defined)
//  The width is not a multiple of 4 pixels.


// MessageId: 0x0000015AL (No symbolic name defined)
//  An identifier was expected.


// MessageId: 0x0000015BL (No symbolic name defined)
//  An unexpected end of file was encountered.


// MessageId: 0x0000015CL (No symbolic name defined)
//  A char or short was expected.


// MessageId: 0x0000015DL (No symbolic name defined)
//  [ was expected.


// MessageId: 0x0000015EL (No symbolic name defined)
//  ] was expected.


// MessageId: 0x0000015FL (No symbolic name defined)
//  = was expected.


// MessageId: 0x00000160L (No symbolic name defined)
//  { was expected.


// MessageId: 0x00000161L (No symbolic name defined)
//  } was expected.


// MessageId: 0x00000162L (No symbolic name defined)
//  , was expected.


// MessageId: 0x00000163L (No symbolic name defined)
//  A number was expected.


// MessageId: 0x00000164L (No symbolic name defined)
//  ; was expected.


// MessageId: 0x00000165L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000166L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000167L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000168L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000169L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000016AL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000016BL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000016CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000016DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000016EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000016FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000170L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000171L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000172L (No symbolic name defined)
//  A child already exists.


// MessageId: 0x00000173L (No symbolic name defined)
//  The collection is empty.


// MessageId: 0x00000174L (No symbolic name defined)
//  The cursor is not contained in this collection.


// MessageId: 0x00000175L (No symbolic name defined)
//  The cursor is not for the given collection.


// MessageId: 0x00000176L (No symbolic name defined)
//  The cursor is not for this collection.


// MessageId: 0x00000177L (No symbolic name defined)
//  An identical collection was specified.


// MessageId: 0x00000178L (No symbolic name defined)
//  An invalid cursor was specified.


// MessageId: 0x00000179L (No symbolic name defined)
//  An invalid position was specified.


// MessageId: 0x0000017AL (No symbolic name defined)
//  An invalid replacement was specified.


// MessageId: 0x0000017BL (No symbolic name defined)
//  A key already exists.


// MessageId: 0x0000017CL (No symbolic name defined)
//  A key is not contained.


// MessageId: 0x0000017DL (No symbolic name defined)
//  This collection is unbounded.


// MessageId: 0x0000017EL (No symbolic name defined)
//  The system is out of memory for collection elements.


// MessageId: 0x0000017FL (No symbolic name defined)
//  A root already exists.


// MessageId: 0x00000180L (No symbolic name defined)
//  A cyclic child attachment occurred.


// MessageId: 0x00000181L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000182L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000183L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000184L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000185L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000186L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000187L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000188L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000189L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000018AL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000018BL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000018CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000018DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000018EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000018FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x00000190L (No symbolic name defined)
//  An abstract class cannot be constructed.


// MessageId: 0x00000191L (No symbolic name defined)
//  An object could not be found in the context.


// MessageId: 0x00000192L (No symbolic name defined)
//  The stream is not valid.


// MessageId: 0x00000193L (No symbolic name defined)
//  The streamed object cannot be derived from the base object type.


// MessageId: 0x00000194L (No symbolic name defined)
//  The type information for the class is missing.


// MessageId: 0x00000195L (No symbolic name defined)
//  The type information for the class has previously been added.


// MessageId: 0x00000196L (No symbolic name defined)
//  The file cannot be opened.


// MessageId: 0x00000197L (No symbolic name defined)
//  The seek position in the stream is not valid.


// MessageId: 0x00000198L (No symbolic name defined)
//  The file is not large enough to hold the stream.


// MessageId: 0x00000199L (No symbolic name defined)
//  An error occurred writing the stream to the file.


// MessageId: 0x0000019AL (No symbolic name defined)
//  There is insufficient data in the file stream.


// MessageId: 0x0000019BL (No symbolic name defined)
//  The object's version number is not supported by this application.


// MessageId: 0x0000019CL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000019DL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000019EL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x0000019FL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001A9L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001AAL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001ABL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001ACL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001ADL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001AEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001AFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001B9L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001BAL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001BBL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001BCL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001BDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001BEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001BFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001C0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001C1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001C2L (No symbolic name defined)
//  (Untitled)


// MessageId: 0x000001C3L (No symbolic name defined)
//  Could not insert this object into the container.


// MessageId: 0x000001C4L (No symbolic name defined)
//  An error occurred while attempting to open file %1.


// MessageId: 0x000001C5L (No symbolic name defined)
//  This file could not be saved. Do you want to discard changes?


// MessageId: 0x000001C6L (No symbolic name defined)
//  Do you want to save changes to file %1?


// MessageId: 0x000001C7L (No symbolic name defined)
//  An occur occurred while attempting to save this file.


// MessageId: 0x000001C8L (No symbolic name defined)
//  %1 in %2


// MessageId: 0x000001C9L (No symbolic name defined)
//  An error occurred while attempting to activate the server.


// MessageId: 0x000001CAL (No symbolic name defined)
//  In place %1


// MessageId: 0x000001CBL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001CCL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001CDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001CEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001CFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001D9L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001DAL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001DBL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001DCL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001DDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001DEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001DFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E3L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E4L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E5L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E6L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E7L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E8L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001E9L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001EAL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001EBL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001ECL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001EDL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001EEL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001EFL (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001F0L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001F1L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001F2L (No symbolic name defined)
//  No symbolic name defined for0x


// MessageId: 0x000001F3L (No symbolic name defined)
//  No symbolic name defined for0x


