/*******************************************************************************
* FILE NAME: icmd.cpp                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in icmd.hpp.                                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Priority INT_MIN (-2147483647 - 1) + 1024 + 512
#pragma priority( -2147482112 )

extern "C" {
  #define INCL_WINFRAMEMGR              // For SC_xxx.
  #include <iwindefs.h>
  }

#include <icmd.hpp>
#include <icconst.h>

// Segment definitions.
#ifdef IC_PAGETUNE
  #define _ICMD_CPP_
  #include <ipagetun.h>
#endif

#pragma data_seg(ICLStaticConst)
const ICommand::CommandId
  ICommand::kOpenId       ( IC_ID_OPEN ),
  ICommand::kSaveId       ( IC_ID_SAVE ),
  ICommand::kPrintId      ( IC_ID_PRINT ),
  ICommand::kLocateId     ( IC_ID_LOCATE ),
  ICommand::kCutId        ( IC_ID_CUT ),
  ICommand::kCopyId       ( IC_ID_COPY ),
  ICommand::kPasteId      ( IC_ID_PASTE ),
  ICommand::kHelpId       ( IC_ID_HELP ),
  ICommand::kBoldId       ( IC_ID_BOLD ),
  ICommand::kItalicId     ( IC_ID_ITALIC ),
  ICommand::kUnderscoreId ( IC_ID_UNDERSCORE ),
  ICommand::kSettingsId   ( IC_ID_SETTINGS ),
  ICommand::kCopyToId     ( IC_ID_COPYTO ),
  ICommand::kOkId         ( IC_ID_OK ),
  ICommand::kCancelId     ( IC_ID_CANCEL ),
  ICommand::kFileOkId     ( IC_ID_FILEOK ),
  ICommand::kFileCancelId ( IC_ID_FILECANCEL ),
  ICommand::kFileApplyId  ( IC_ID_FILEAPPLY ),
  ICommand::kFontOkId     ( IC_ID_FONTOK ),
  ICommand::kFontCancelId ( IC_ID_FONTCANCEL ),
  ICommand::kFontApplyId  ( IC_ID_FONTAPPLY ),
  ICommand::kNewId        ( IC_ID_NEW ),
  ICommand::kSaveAsId     ( IC_ID_SAVE_AS ),
  ICommand::kExitId       ( IC_ID_EXIT ),
  ICommand::kUpdateId     ( IC_ID_UPDATE ),
  ICommand::kSaveCopyAsId ( IC_ID_SAVE_COPY_AS ),
  ICommand::kUndoId       ( IC_ID_UNDO ),
  ICommand::kPasteSpecialId(IC_ID_PASTESPECIAL ),
  ICommand::kPasteLinkId  ( IC_ID_PASTELINK ),
  ICommand::kSelectAllId  ( IC_ID_SELECTALL ),
  ICommand::kInsertId     ( IC_ID_INSERT ),
  ICommand::kEditLinksId  ( IC_ID_EDITLINKS ),
  ICommand::kDeleteId     ( IC_ID_DELETE ),
  ICommand::kConvertId    ( IC_ID_CONVERT ),
  ICommand::kViewToolbarId( IC_ID_TOOLBAR ),
  ICommand::kAboutId      ( IC_ID_ABOUT );

const ICommand::CommandId
  ICommand::kCloseId      ( IC_ID_CLOSE ),
  ICommand::kMoveId       ( IC_ID_MOVE ),
  ICommand::kSizeId       ( IC_ID_SIZE ),
  ICommand::kMinimizeId   ( IC_ID_MINIMIZE ),
  ICommand::kMaximizeId   ( IC_ID_MAXIMIZE ),
  ICommand::kHideId       ( IC_ID_SYSHIDE ),
  ICommand::kRestoreId    ( IC_ID_RESTORE ),
  ICommand::kWindowListId ( IC_ID_WINDOWLIST );
#pragma data_seg()
