/*******************************************************************************
* FILE NAME: ifildprv.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in ifildprv.hpp                                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1996             *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
{
  #include <iwindefs.h>
}
#include <ipoint.hpp>
#include <ifildprv.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IFILDPRV_CPP_
  #include <ipagetun.h>
#endif


StringSeq::StringSeq ( )
  : IQueue<IString*>()
{ }


StringSeq::~StringSeq ( )
{
  IString* curString;

  // Delete the IStrings that were stored in the collection.
  StringSeq::Cursor current(*this);
  for ( current.setToFirst(); current.isValid(); current.setToNext() )
  {
     curString = this->elementAt(current);
     delete curString;
  } /* end for */
}


/*------------------------------------------------------------------------------
| IFileDialogSettingsData::IFileDialogSettingsData                             |
|                                                                              |
|                                                                              |
------------------------------------------------------------------------------*/
IFileDialogSettingsData :: IFileDialogSettingsData ( )
#ifdef IC_PMWIN
  : fileTypes(0),
  drives(0),
  isDlgTemplateSet(false)
#endif
#ifdef IC_WIN
  ,
  fDirectory(IString()),
  isDirectorySet(false)
#endif
{ }


/*------------------------------------------------------------------------------
| IFileDialogSettingsData::~IFileDialogSettingsData                            |
|                                                                              |
|                                                                              |
------------------------------------------------------------------------------*/
IFileDialogSettingsData :: ~IFileDialogSettingsData ( )
{ }


/*------------------------------------------------------------------------------
| IFileDialogData::IFileDialogData                                             |
|                                                                              |
|                                                                              |
------------------------------------------------------------------------------*/
IFileDialogData :: IFileDialogData ( )
#ifdef IC_PMWIN
  : handlerToAdd(0)
#endif
#ifdef IC_WIN
  ,
  fSRC(0),
  fReturnVal(0),
  fTitle(0),
  fDrive(0),
  fOKButton(IString()),
  fPosition(0),
  fDialogId(0),
  fSettingsChanged(0),
  fclrbackground(IColor::paleGray),
  fbkgrndbrush(0)
#endif
{ }


/*------------------------------------------------------------------------------
| IFileDialogData::~IFileDialogData                                            |
|                                                                              |
|                                                                              |
------------------------------------------------------------------------------*/
IFileDialogData :: ~IFileDialogData ( )
{ }
