/* NOSHIP */
#ifndef _IHELPPRV_
#define _IHELPPRV_
/*******************************************************************************
* FILE NAME: ihelpprv.hpp.                                                     *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IHelpWindow                                                              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandle.hpp>
#include <istring.hpp>
#include <ireslib.hpp>
#ifdef IC_WIN
#include <ihandler.hpp>
#endif
extern "C" {
  #ifdef IC_WIN
    #include <ipfx.h>
  #endif
}
class IFrameWindow;
#ifdef IC_WIN
class IHelpWindowData;
class IHelpTable;
#endif

#pragma pack(4)

#ifdef IC_WIN
/*------------------------------------------------------------------------------
| class : IWinHelpHandler                                                      |
|  Derived from IMenuHandler for processing help on menus as well as context   |
|  help on windows and controls.                                               |
------------------------------------------------------------------------------*/
class IWinHelpHandler : public IHandler
{
  typedef IHandler
    Inherited;
  public:
    IWinHelpHandler(IHelpWindow *helpWindow,IHelpWindowData *helpWindowData);
  virtual
   ~IWinHelpHandler();

  private :
  virtual Boolean
    dispatchHandlerEvent( IEvent&     event ),
    winHelpRequested    ( IEvent&     event);

  IHelpWindow
   *pHelpWindow;
  IHelpWindowData
   *pHlpWndData;
};
#endif

class IHelpWindowData {
public:
  IHelpWindowData( );

  ~IHelpWindowData( );

IWindowHandle
  helpHandle;                   // handle of help instance
IResourceLibrary
 *pHTResLib,                    // help table resource library
 *pMAResLib;
IString
 helpLibraries;                 // list of help files

Boolean
 isUsingIPF,
 newHTResLib;

#ifdef IC_MOTIFWIN
IWindowHandle
   lastActiveHandle;
#endif

#ifdef IC_WIN
IWinHelpHandler
  *winHelpHandler;
IHelpTable
  *pHlpTable;
unsigned long
  usingHelpId;
IWindowHandle
  ownerForIPF;
#endif
};

#pragma pack()

#endif
