/* NOSHIP */
#ifndef _IMSGHLPI_INL_
#define _IMSGHLPI_INL_ 0
/*******************************************************************************
* FILE NAME: imsghlpi.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in imsghlpi.hpp.                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IMSGHLPI_
  #undef  _IMSGHLPI_INL_
  #define _IMSGHLPI_INL_ 1
  #include <imsghlpi.hpp>
#endif

#ifndef _IWINDOW_
  #include <iwindow.hpp>
#endif

#if _IMSGHLPI_INL_
  #define inline
#endif

inline IMessageHelpItem::IMessageHelpItem ( unsigned long  msgBoxId,
                                            const IWindow* msgBoxOwner,
                                            const IThread& msgBoxThread )
  : IMessageHelpItem::Inherited( ),
    fMsgBoxId( msgBoxId ),
    fMsgBoxOwner( msgBoxOwner ),
    fMsgBoxOwnerHandle( msgBoxOwner->handle() ),
    fMsgBoxThreadId( msgBoxThread.id() )
{ }

inline IMessageHelpItem::~IMessageHelpItem ( )
{ }

inline unsigned long IMessageHelpItem::messageBoxId ( ) const
{
  return fMsgBoxId;
}

inline const IWindow* IMessageHelpItem::messageBoxOwner ( ) const
{
  return fMsgBoxOwner;
}

inline IWindowHandle IMessageHelpItem::messageBoxOwnerHandle ( ) const
{
  return fMsgBoxOwnerHandle;
}

inline IThreadId IMessageHelpItem::messageBoxThreadId ( ) const
{
  return fMsgBoxThreadId;
}

#endif /* _IMSGHLPI_INL_ */
